// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/dao/base/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : CrossPlanTaskHeadDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : CrossPlanTaskHead的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-20 09:04:14
 *
 ******************************************************************************/
type CrossPlanTaskHeadDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 需要插入的CrossPlanTaskHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	InsertOne(*model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的CrossPlanTaskHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	DeleteOne(int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的CrossPlanTaskHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的CrossPlanTaskHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	SelectOne(int) (*model.CrossPlanTaskHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改CrossPlanTaskHead
	 *
	 * @Function Parameters      : 需要修改的CrossPlanTaskHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	UpdateOne(*model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 需要插入的CrossPlanTaskHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	Insert(*[]model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 需要删除的CrossPlanTaskHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	Delete(*[]model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除CrossPlanTaskHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询CrossPlanTaskHead
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.CrossPlanTaskHead, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询CrossPlanTaskHead指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2022-05-20 09:04:14
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]map[string]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询CrossPlanTaskHead并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 需要修改的CrossPlanTaskHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	Update(*[]model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改CrossPlanTaskHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-20 09:04:14
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.CrossPlanTaskHead, ...string) error
	// SelectUnAccomplishTask 查询目标工厂所有未完成的任务
	SelectUnAccomplishTask(toPlantNr int) ([]model.CrossPlanTaskHead,  error)
}

/******************************************************************************
 *
 * @Function Name            : NewCrossPlanTaskHeadDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个CrossPlanTaskHeadDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : CrossPlanTaskHeadDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-20 09:04:14
 *
 ******************************************************************************/
func NewCrossPlanTaskHeadDAO(session *xorm.Session, userid string) CrossPlanTaskHeadDAO {
	return implments.NewCrossPlanTaskHeadDAOImplement(session, userid)
}
