// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/dao/base/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : OPCComRuleDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCComRule的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-23 11:13:02
 *
 ******************************************************************************/
type OPCComRuleDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条OPCComRule
	 *
	 * @Function Parameters      : 需要插入的OPCComRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	InsertOne(*model.OPCComRule) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的OPCComRule
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	DeleteOne(int, int, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的OPCComRule
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的OPCComRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	SelectOne(int, int, int) (*model.OPCComRule, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改OPCComRule
	 *
	 * @Function Parameters      : 需要修改的OPCComRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	UpdateOne(*model.OPCComRule) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条OPCComRule
	 *
	 * @Function Parameters      : 需要插入的OPCComRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	Insert(*[]model.OPCComRule) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条OPCComRule
	 *
	 * @Function Parameters      : 需要删除的OPCComRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	Delete(*[]model.OPCComRule) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除OPCComRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询OPCComRule
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.OPCComRule, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询OPCComRule指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2021-11-23 11:13:02
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]model.OPCComRule, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询OPCComRule并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条OPCComRule
	 *
	 * @Function Parameters      : 需要修改的OPCComRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	Update(*[]model.OPCComRule) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改OPCComRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-23 11:13:02
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.OPCComRule, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOPCJoinData
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询opc通信规则数据
	*
	 * @Function Parameters      : PO， stepno
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-07-23 14:07:09
	 *
	 ******************************************************************************/
	SelectOPCJoinData(string, int) ([]model.OPCCommunicateData, error)
}

/******************************************************************************
 *
 * @Function Name            : NewOPCComRuleDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个OPCComRuleDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : OPCComRuleDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-23 11:13:02
 *
 ******************************************************************************/
func NewOPCComRuleDAO(session *xorm.Session, plantNr int, userid string) OPCComRuleDAO {
	return implments.NewOPCComRuleDAOImplement(session, plantNr, userid)
}
