// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/dao/base/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : SnrOccupyDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : SnrOccupy的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-22 11:26:46
 *
 ******************************************************************************/
type SnrOccupyDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条SnrOccupy
	 *
	 * @Function Parameters      : 需要插入的SnrOccupy
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	InsertOne(*model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的SnrOccupy
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	DeleteOne(int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SnrOccupy
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SnrOccupy
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	SelectOne(int) (*model.SnrOccupy, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改SnrOccupy
	 *
	 * @Function Parameters      : 需要修改的SnrOccupy
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	UpdateOne(*model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条SnrOccupy
	 *
	 * @Function Parameters      : 需要插入的SnrOccupy列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	Insert(*[]model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条SnrOccupy
	 *
	 * @Function Parameters      : 需要删除的SnrOccupy列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	Delete(*[]model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除SnrOccupy
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SnrOccupy
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.SnrOccupy, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询SnrOccupy指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2022-06-22 11:26:46
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]map[string]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SnrOccupy并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条SnrOccupy
	 *
	 * @Function Parameters      : 需要修改的SnrOccupy列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	Update(*[]model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改SnrOccupy
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.SnrOccupy, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewSnrOccupyDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SnrOccupyDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : SnrOccupyDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-22 11:26:46
 *
 ******************************************************************************/
func NewSnrOccupyDAO(session *xorm.Session, plantNr int, userid string) SnrOccupyDAO {
	return implments.NewSnrOccupyDAOImplement(session, plantNr, userid)
}
