// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/dao/eol/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/eol"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : EOLTESTF2DAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : EOLTESTF2的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
type EOLTESTF2DAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条EOLTESTF2
	 *
	 * @Function Parameters      : 需要插入的EOLTESTF2
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	InsertOne(*model.EOLTESTF2) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的EOLTESTF2
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	DeleteOne() error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的EOLTESTF2
	 *
	 * @Return Value             : 查找到的EOLTESTF2
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	SelectOne() (*model.EOLTESTF2, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改EOLTESTF2
	 *
	 * @Function Parameters      : 需要修改的EOLTESTF2
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	UpdateOne(*model.EOLTESTF2) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条EOLTESTF2
	 *
	 * @Function Parameters      : 需要插入的EOLTESTF2列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	Insert(*[]model.EOLTESTF2) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条EOLTESTF2
	 *
	 * @Function Parameters      : 需要删除的EOLTESTF2列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	Delete(*[]model.EOLTESTF2) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除EOLTESTF2
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询EOLTESTF2
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.EOLTESTF2, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询EOLTESTF2指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2022-05-23 15:56:29
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]map[string]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询EOLTESTF2并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条EOLTESTF2
	 *
	 * @Function Parameters      : 需要修改的EOLTESTF2列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	Update(*[]model.EOLTESTF2) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改EOLTESTF2
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-23 15:56:29
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.EOLTESTF2, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewEOLTESTF2DAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个EOLTESTF2DAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : EOLTESTF2DAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
func NewEOLTESTF2DAO(session *xorm.Session, userid string) EOLTESTF2DAO {
	return implments.NewEOLTESTF2DAOImplement(session, userid)
}
