// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/dao/jit/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : PackOrderItemLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackOrderItemLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type PackOrderItemLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PackOrderItemLst
	 *
	 * @Function Parameters      : 需要插入的PackOrderItemLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	InsertOne(*model.PackOrderItemLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PackOrderItemLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	DeleteOne(string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PackOrderItemLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PackOrderItemLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	SelectOne(string, int) (*model.PackOrderItemLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改PackOrderItemLst
	 *
	 * @Function Parameters      : 需要修改的PackOrderItemLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	UpdateOne(*model.PackOrderItemLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PackOrderItemLst
	 *
	 * @Function Parameters      : 需要插入的PackOrderItemLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	Insert(*[]model.PackOrderItemLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PackOrderItemLst
	 *
	 * @Function Parameters      : 需要删除的PackOrderItemLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	Delete(*[]model.PackOrderItemLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除PackOrderItemLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PackOrderItemLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.PackOrderItemLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PackOrderItemLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PackOrderItemLst
	 *
	 * @Function Parameters      : 需要修改的PackOrderItemLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	Update(*[]model.PackOrderItemLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改PackOrderItemLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.PackOrderItemLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectActivePackOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过artId查询激活的包装单
	 *
	 * @Function Parameters      : 总成ID
	 *
	 * @Return Value             : 包装单指针
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	SelectActivePackOrder(artId string) ([]model.PackOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : GetMaxPost
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 获取当前包装单ID下最大的pos
	*
	 * @Function Parameters      : packOrderId string
	 *
	 * @Return Value             : 最大pos
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-10-21
	 *
	 ******************************************************************************/
	GetMaxPost(packOrderId string) (int, error)
	GetUnFlushBackData(now string) ([]model.BackFlushData, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectPackOrderByBarcode
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过工单条码查询包装单数据
	*
	 * @Function Parameters      : serialOrderId
	 *
	 * @Return Value             : 包装单列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-22
	 *
	 ******************************************************************************/
	SelectPackOrderByBarcode(paging *grmi.Paging, barcode string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectShipOrderBySerialOrderId
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过工单条码查询发运数据
	*
	 * @Function Parameters      : serialOrderId
	 *
	 * @Return Value             : 发运单ID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-03-09
	 *
	 ******************************************************************************/
	SelectShipOrderBySerialOrderId(serialOrderId string) ([]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectListByOrders
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过工单条码查询发运数据
	*
	 * @Function Parameters      : serialOrderId
	 *
	 * @Return Value             : 发运单ID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-03-09
	 *
	 ******************************************************************************/
	SelectListByOrders(serialOrderIds []string) ([]model.PackOrderItemLst, error)
	// SelectNGPackOrderItem 查询指定产线上指定日期上的NG打包单
	SelectNGPackOrderItem(workLineId, day string) ([]model.PackOrderItemLst, error)
}

/******************************************************************************
 *
 * @Function Name            : NewPackOrderItemLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PackOrderItemLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : PackOrderItemLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func NewPackOrderItemLstDAO(session *xorm.Session, plantNr int, userid string) PackOrderItemLstDAO {
	return implments.NewPackOrderItemLstDAOImplement(session, plantNr, userid)
}
