// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/dao/jit/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : PackOrderStatusDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackOrderStatus的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type PackOrderStatusDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PackOrderStatus
	 *
	 * @Function Parameters      : 需要插入的PackOrderStatus
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	InsertOne(*model.PackOrderStatus) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PackOrderStatus
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PackOrderStatus
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PackOrderStatus
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.PackOrderStatus, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改PackOrderStatus
	 *
	 * @Function Parameters      : 需要修改的PackOrderStatus
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	UpdateOne(*model.PackOrderStatus) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PackOrderStatus
	 *
	 * @Function Parameters      : 需要插入的PackOrderStatus列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	Insert(*[]model.PackOrderStatus) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PackOrderStatus
	 *
	 * @Function Parameters      : 需要删除的PackOrderStatus列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	Delete(*[]model.PackOrderStatus) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除PackOrderStatus
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PackOrderStatus
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.PackOrderStatus, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PackOrderStatus并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PackOrderStatus
	 *
	 * @Function Parameters      : 需要修改的PackOrderStatus列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	Update(*[]model.PackOrderStatus) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改PackOrderStatus
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 10:26:40
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.PackOrderStatus, ...string) error
	SelectUnFlushBackAndUpdateSign(now string) (int64, error)
	UpdateBackFlushFlag(packOrderIdLi []string) (int64, error)
}

/******************************************************************************
 *
 * @Function Name            : NewPackOrderStatusDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PackOrderStatusDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : PackOrderStatusDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func NewPackOrderStatusDAO(session *xorm.Session, plantNr int, userid string) PackOrderStatusDAO {
	return implments.NewPackOrderStatusDAOImplement(session, plantNr, userid)
}
