// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/dao/me/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ProductWorkLineLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProductWorkLineLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 13:12:09
 *
 ******************************************************************************/
type ProductWorkLineLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProductWorkLineLst
	 *
	 * @Function Parameters      : 需要插入的ProductWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	InsertOne(*model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProductWorkLineLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	DeleteOne(string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProductWorkLineLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProductWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	SelectOne(string, string) (*model.ProductWorkLineLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ProductWorkLineLst
	 *
	 * @Function Parameters      : 需要修改的ProductWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	UpdateOne(*model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProductWorkLineLst
	 *
	 * @Function Parameters      : 需要插入的ProductWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	Insert(*[]model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProductWorkLineLst
	 *
	 * @Function Parameters      : 需要删除的ProductWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	Delete(*[]model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ProductWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ProductWorkLineLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ProductWorkLineLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ProductWorkLineLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProductWorkLineLst
	 *
	 * @Function Parameters      : 需要修改的ProductWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	Update(*[]model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ProductWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ProductWorkLineLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectByRelate
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过产线筛选出产品
	 *
	 * @Function Parameters      : worklineid
	*
	 * @Return Value             : 产品列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-11-15
	 *
	 ******************************************************************************/
	SelectByRelate(workLineId string, projectId string) ([]model.Product, error)
}

/******************************************************************************
 *
 * @Function Name            : NewProductWorkLineLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProductWorkLineLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ProductWorkLineLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 13:12:09
 *
 ******************************************************************************/
func NewProductWorkLineLstDAO(session *xorm.Session, plantNr int, userid string) ProductWorkLineLstDAO {
	return implments.NewProductWorkLineLstDAOImplement(session, plantNr, userid)
}
