// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/dao/om/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : SerialOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrder的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 13:07:32
 *
 ******************************************************************************/
type SerialOrderDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条SerialOrder
	 *
	 * @Function Parameters      : 需要插入的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	InsertOne(*model.SerialOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的SerialOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.SerialOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改SerialOrder
	 *
	 * @Function Parameters      : 需要修改的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	UpdateOne(*model.SerialOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条SerialOrder
	 *
	 * @Function Parameters      : 需要插入的SerialOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	Insert(*[]model.SerialOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条SerialOrder
	 *
	 * @Function Parameters      : 需要删除的SerialOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	Delete(*[]model.SerialOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SerialOrder
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.SerialOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SerialOrder并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条SerialOrder
	 *
	 * @Function Parameters      : 需要修改的SerialOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	Update(*[]model.SerialOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.SerialOrder, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectByBatchOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	SelectByWorkOrderId(workOrderId string, status int) ([]model.SerialOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectInfo
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	SelectInfo(string) (model.SerialOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectBySerialOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	SelectBySerialOrder(serialOrderId string) (*model.SerialOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateInfo
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	UpdateInfo(entity *model.SerialOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : GetLineWIPQty
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-20 13:07:32
	 *
	 ******************************************************************************/
	GetLineWIPQty(string) (int, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectOrderByResource
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 排序工单页面使用的分页查询
	 *
	 * @Return Value             : 查找到的SerialOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-10-25
	 *
	 ******************************************************************************/
	SelectOrderByResource(resourceId string, status int, planDate string, seqStart, seqEnd int, custOrderId , serialOrderId string, seq bool, urgency bool, artId string, pageNumber int64, pageSize int64) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectByCustOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过custOrderId查询序列工单
	 *
	 * @Function Parameters      : 客户订单ID
	 *
	 * @Function Parameters      : 状态
	 *
	 * @Return Value             : 序列订单列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-03
	 *
	 ******************************************************************************/
	SelectByCustOrder(custOrderId string, status int) (serialOrderLi []model.SerialOrder, err error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectBySyncKey
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过custOrderId 和 syncKey查询序列工单
	 *
	 * @Function Parameters      : 客户订单ID
	 *
	 * @Function Parameters      : 状态
	 *
	 * @Return Value             : 序列订单列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-06
	 *
	 ******************************************************************************/
	SelectBySyncKey(custOrderId string, syncKey string) (serialOrderLi []model.SerialOrder, err error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectSerialOrderIdBySyncKey
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过SyncKey查询serialOrderIdLi
	 *
	 * @Function Parameters      : 台套Key列表
	 *
	 * @Return Value             : 序列订单ID列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-10
	 *
	 ******************************************************************************/
	SelectSerialOrderIdBySyncKey(syncKeyLi []string) ([]string, error)
	UpdateBackFlushFlag(serialOrderIdLi []string) (int64, error)
	UpdateShipBackFlushFlag(serialOrderIdLi []string) (int64, error)
	SelectTraceOrder(workLineId , serialOrderId , start, end string, status int, pageNumber int64, pageSize int64) (grmi.PagingResult, error)
	SelectUnOnGoingSerialOrder(custOrderId string) ([]model.VOmSerialorder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectByOriginSerialOrderId
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过原始订单Id查询最新的工单ID
	 *
	 * @Function Parameters      : 台套Key列表
	 *
	 * @Return Value             : 序列订单ID列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-10
	 *
	 ******************************************************************************/
	SelectByOriginSerialOrderId(serialOrderId string) (*model.SerialOrder, error)
	SelectByCustOrderIdForDashboard(custOrderId, start, end string) ([]model.SerialOrder, error)

	SelectSerialOrderByCustOrder(custOrderId string) (serialOrderLi []model.SerialOrder, err error)
}

/******************************************************************************
 *
 * @Function Name            : NewSerialOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SerialOrderDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : SerialOrderDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 13:07:32
 *
 ******************************************************************************/
func NewSerialOrderDAO(session *xorm.Session, plantNr int, userid string) SerialOrderDAO {
	return implments.NewSerialOrderDAOImplement(session, plantNr, userid)
}
