// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/dao/om/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : SerialOrderOPDetailRecvDataLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderOPDetailRecvDataLst的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-16 14:27:35
 *
 ******************************************************************************/
type SerialOrderOPDetailRecvDataLstDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条SerialOrderOPDetailRecvDataLst
	 *
	 * @Function Parameters      : 需要插入的SerialOrderOPDetailRecvDataLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	InsertOne(*model.SerialOrderOPDetailRecvDataLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的SerialOrderOPDetailRecvDataLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	DeleteOne(int64) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrderOPDetailRecvDataLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrderOPDetailRecvDataLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	SelectOne(int64) (*model.SerialOrderOPDetailRecvDataLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改SerialOrderOPDetailRecvDataLst
	 *
	 * @Function Parameters      : 需要修改的SerialOrderOPDetailRecvDataLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	UpdateOne(*model.SerialOrderOPDetailRecvDataLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条SerialOrderOPDetailRecvDataLst
	 *
	 * @Function Parameters      : 需要插入的SerialOrderOPDetailRecvDataLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	Insert(*[]model.SerialOrderOPDetailRecvDataLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条SerialOrderOPDetailRecvDataLst
	 *
	 * @Function Parameters      : 需要删除的SerialOrderOPDetailRecvDataLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	Delete(*[]model.SerialOrderOPDetailRecvDataLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除SerialOrderOPDetailRecvDataLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SerialOrderOPDetailRecvDataLst
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.SerialOrderOPDetailRecvDataLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SerialOrderOPDetailRecvDataLst并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条SerialOrderOPDetailRecvDataLst
	 *
	 * @Function Parameters      : 需要修改的SerialOrderOPDetailRecvDataLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	Update(*[]model.SerialOrderOPDetailRecvDataLst) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改SerialOrderOPDetailRecvDataLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-09-16 14:27:35
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.SerialOrderOPDetailRecvDataLst, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOPDetailData
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询SerialOrderOPDetailRecvDataLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-09-16
	 *
	 ******************************************************************************/
	SelectOPDetailData(serialOrderId string, workLineId string) ([]model.SerialOrderOPData, error)
	/******************************************************************************
	 *
	 * @Function Name            : GetOpRecvDataByPO
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询工单下的操作结果
	*
	 * @Function Parameters      : 工单ID
	*
	 * @Function Parameters      : 工序列表
	*
	 * @Return Value             : 操作结果集
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-09
	 *
	 ******************************************************************************/
	GetOpRecvDataByPO(serialOrderId string, poId string) ([]model.OperationDetailTraceData, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectOneByAssembly
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询工单下的操作结果
	*
	 * @Function Parameters      : 工单ID
	*
	 * @Function Parameters      : 工序列表
	*
	 * @Return Value             : 操作结果集
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-09
	 *
	 ******************************************************************************/
	SelectOneByAssembly(RecvData string) (*model.SerialOrderOPDetailRecvDataLst, error)
}

/******************************************************************************
 *
 * @Function Name            : NewSerialOrderOPDetailRecvDataLstDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SerialOrderOPDetailRecvDataLstDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : SerialOrderOPDetailRecvDataLstDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-16 14:27:35
 *
 ******************************************************************************/
func NewSerialOrderOPDetailRecvDataLstDAO(session *xorm.Session, plantNr int, userid string) SerialOrderOPDetailRecvDataLstDAO {
	return implments.NewSerialOrderOPDetailRecvDataLstDAOImplement(session, plantNr, userid)
}
