// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/dao/pln/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"github.com/go-xorm/xorm"
	"time"
)

/******************************************************************************
 *
 * @Interface Name           : CustOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : CustOrder的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
type CustOrderDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条CustOrder
	 *
	 * @Function Parameters      : 需要插入的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	InsertOne(*model.CustOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的CustOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的CustOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.CustOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改CustOrder
	 *
	 * @Function Parameters      : 需要修改的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	UpdateOne(*model.CustOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改CustOrder
	 *
	 * @Function Parameters      : 需要修改的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	UpdateOneInfo(entity *model.CustOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条CustOrder
	 *
	 * @Function Parameters      : 需要插入的CustOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	Insert(*[]model.CustOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条CustOrder
	 *
	 * @Function Parameters      : 需要删除的CustOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	Delete(*[]model.CustOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询CustOrder
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.CustOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询CustOrder并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条CustOrder
	 *
	 * @Function Parameters      : 需要修改的CustOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	Update(*[]model.CustOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-22 13:50:40
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.CustOrder, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOneWithStatus
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的CustOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的CustOrderWithStatus
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-10-22
	 *
	 ******************************************************************************/
	SelectOneWithStatus(custOrderId string) (*model.CustOrderWithStatus, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectWorkLineTaskBeyondStatus
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询已经分配到产线上的客户订单状态大于等于输入状态
	 *
	 * @Function Parameters      : 开始时间
	 *
	 * @Function Parameters      : 结束时间
	 *
	 * @Function Parameters      : 产线
	*
	 * @Function Parameters      : 状态
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-01
	 *
	 ******************************************************************************/
	SelectWorkLineTaskBeyondStatus(startTime time.Time, endTime time.Time, workLineId string, status int) (custOrderLi []model.CustOrder, err error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectWorkLineTaskBeyondStatus
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询已经分配到产线上的客户订单状态等于输入状态
	 *
	 * @Function Parameters      : 开始时间
	 *
	 * @Function Parameters      : 结束时间
	 *
	 * @Function Parameters      : 产线
	*
	 * @Function Parameters      : 状态
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-01
	 *
	 ******************************************************************************/
	SelectWorkLineTaskEqualStatus(startTime time.Time, endTime time.Time, workLineId string, status int) (custOrderLi []model.CustOrder, err error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectUnPlannedCustOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询未计划的客户订单
	*
	 * @Function Parameters      : 产线
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-03
	 *
	 ******************************************************************************/
	SelectUnPlannedCustOrder(workLineId string) (custOrderLi []model.CustOrder, err error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectWaitReleaseCustOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询待派工的客户订单
	*
	 * @Function Parameters      : 产线
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-03
	 *
	 ******************************************************************************/
	SelectWaitReleaseCustOrder(workLineId string) ([]model.CustOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : PageSelect
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 客户订单查询页
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-14
	 *
	 ******************************************************************************/
	PageSelect(custOrderId string, workLineId string, status int, projectId string, productFamilyId string, start string, end string, pageSize int64, pageNumber int64) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectCustOrderByPlan
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 获取今天的目标客户订单
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-01-06
	 *
	 ******************************************************************************/
	SelectCustOrderByPlan(start, end string) ([]model.CustOrderData, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectProduceOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询时间范围内有生产的客户订单
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-03-22
	 *
	 ******************************************************************************/
	SelectProduceOrder(start, end, workLineId string) ([]model.CustOrderData, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectCrossDayCustOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询是否有跨天的客户订单
	*
	 * @Function Parameters      : 当天的截止时间
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-03-29
	 *
	 ******************************************************************************/
	SelectCrossDayCustOrder(end string) ([]model.CustOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectCurrentDayCustOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询当天的客户订单
		*
	 * @Function Parameters      : 当天的开始时间
	*
	 * @Function Parameters      : 当天的截止时间
	 *
	 * @Return Value             : 查找到的CustOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-03-29
	 *
	 ******************************************************************************/
	SelectCurrentDayCustOrder(start, end string) ([]model.CustOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询CustOrder
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-04-03
	 *
	 ******************************************************************************/
	JoinSelect(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.CustOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectRunningCustOrder
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过虚拟产线查询正在生产的客户订单
	 *
	 * @Function Parameters      : 产线id
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-04-19
	 *
	 ******************************************************************************/
	SelectRunningCustOrder(workLineId string) ([]model.CustOrder, error)
	// 查询可生产的客户订单
	SelectNeedReleaseCustOrder() ([]model.CustOrder, error)
	// 查询派工中和派工失败的客户订单
	SelectReleasingOrder() ([]model.CustOrder, error)
}

/******************************************************************************
 *
 * @Function Name            : NewCustOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个CustOrderDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : CustOrderDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
func NewCustOrderDAO(session *xorm.Session, plantNr int, userid string) CustOrderDAO {
	return implments.NewCustOrderDAOImplement(session, plantNr, userid)
}
