// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/dao/pln/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : HondaDemandDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaDemand的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
type HondaDemandDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条HondaDemand
	 *
	 * @Function Parameters      : 需要插入的HondaDemand
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	InsertOne(*model.HondaDemand) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的HondaDemand
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的HondaDemand
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的HondaDemand
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.HondaDemand, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectOneWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定代码周期的HondaDemand
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的HondaDemand
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	SelectOneWhere(model.HondaDemand) (*model.HondaDemand, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改HondaDemand
	 *
	 * @Function Parameters      : 需要修改的HondaDemand
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	UpdateOne(*model.HondaDemand) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条HondaDemand
	 *
	 * @Function Parameters      : 需要插入的HondaDemand列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	Insert(*[]model.HondaDemand) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条HondaDemand
	 *
	 * @Function Parameters      : 需要删除的HondaDemand列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	Delete(*[]model.HondaDemand) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除HondaDemand
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询HondaDemand
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.HondaDemand, error)
	SelectAll([]grmi.Predicate, []grmi.Field) ([]model.HondaDemand, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询HondaDemand并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条HondaDemand
	 *
	 * @Function Parameters      : 需要修改的HondaDemand列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	Update(*[]model.HondaDemand) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改HondaDemand
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-20 09:58:33
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.HondaDemand, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewHondaDemandDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个HondaDemandDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : HondaDemandDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
func NewHondaDemandDAO(session *xorm.Session, plantNr int, userid string) HondaDemandDAO {
	return implments.NewHondaDemandDAOImplement(session, plantNr, userid)
}
