// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/dao/pln/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ReleaseTaskConfigDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReleaseTaskConfig的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-23 17:08:07
 *
 ******************************************************************************/
type ReleaseTaskConfigDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 需要插入的ReleaseTaskConfig
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	InsertOne(*model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ReleaseTaskConfig
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	DeleteOne(int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ReleaseTaskConfig
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ReleaseTaskConfig
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	SelectOne(int) (*model.ReleaseTaskConfig, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ReleaseTaskConfig
	 *
	 * @Function Parameters      : 需要修改的ReleaseTaskConfig
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	UpdateOne(*model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 需要插入的ReleaseTaskConfig列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	Insert(*[]model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 需要删除的ReleaseTaskConfig列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	Delete(*[]model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ReleaseTaskConfig
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ReleaseTaskConfig
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ReleaseTaskConfig, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询ReleaseTaskConfig指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2022-06-23 17:08:07
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]map[string]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ReleaseTaskConfig并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 需要修改的ReleaseTaskConfig列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	Update(*[]model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ReleaseTaskConfig
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:08:07
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ReleaseTaskConfig, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewReleaseTaskConfigDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ReleaseTaskConfigDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ReleaseTaskConfigDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-23 17:08:07
 *
 ******************************************************************************/
func NewReleaseTaskConfigDAO(session *xorm.Session, plantNr int, userid string) ReleaseTaskConfigDAO {
	return implments.NewReleaseTaskConfigDAOImplement(session, plantNr, userid)
}
