// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_ACURA_MOM_BACKEND/dao/report/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/report"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : DashBoardHeadDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : DashBoardHead的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 11:05:20
 *
 ******************************************************************************/
type DashBoardHeadDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条DashBoardHead
	 *
	 * @Function Parameters      : 需要插入的DashBoardHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	InsertOne(*model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的DashBoardHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的DashBoardHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的DashBoardHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.DashBoardHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改DashBoardHead
	 *
	 * @Function Parameters      : 需要修改的DashBoardHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	UpdateOne(*model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条DashBoardHead
	 *
	 * @Function Parameters      : 需要插入的DashBoardHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	Insert(*[]model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条DashBoardHead
	 *
	 * @Function Parameters      : 需要删除的DashBoardHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	Delete(*[]model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除DashBoardHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询DashBoardHead
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.DashBoardHead, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询DashBoardHead指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2022-01-06 11:05:20
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]map[string]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询DashBoardHead并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条DashBoardHead
	 *
	 * @Function Parameters      : 需要修改的DashBoardHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	Update(*[]model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改DashBoardHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.DashBoardHead, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewDashBoardHeadDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个DashBoardHeadDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : DashBoardHeadDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 11:05:20
 *
 ******************************************************************************/
func NewDashBoardHeadDAO(session *xorm.Session, plantNr int, userid string) DashBoardHeadDAO {
	return implments.NewDashBoardHeadDAOImplement(session, plantNr, userid)
}
