// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipTemplate的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipTemplate_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipTemplate].PlantNr", "plantnr", grmi.TypeInt)
var ShipTemplate_ShipTemplateId = grmi.NewField("ShipTemplateId", "[JIT_ShipTemplate].ShipTemplateId", "shiptemplateid", grmi.TypeString)
var ShipTemplate_EnabledToggle = grmi.NewField("EnabledToggle", "[JIT_ShipTemplate].EnabledToggle", "enabledtoggle", grmi.TypeBool)
var ShipTemplate_DefaultCreateToggle = grmi.NewField("DefaultCreateToggle", "[JIT_ShipTemplate].DefaultCreateToggle", "defaultcreatetoggle", grmi.TypeBool)
var ShipTemplate_Descr = grmi.NewField("Descr", "[JIT_ShipTemplate].Descr", "descr", grmi.TypeString)
var ShipTemplate_ProjectId = grmi.NewField("ProjectId", "[JIT_ShipTemplate].ProjectId", "projectid", grmi.TypeString)
var ShipTemplate_ShipType = grmi.NewField("ShipType", "[JIT_ShipTemplate].ShipType", "shiptype", grmi.TypeString)
var ShipTemplate_PrintQty = grmi.NewField("PrintQty", "[JIT_ShipTemplate].PrintQty", "printqty", grmi.TypeInt)
var ShipTemplate_PlanQty = grmi.NewField("PlanQty", "[JIT_ShipTemplate].PlanQty", "planqty", grmi.TypeInt)
var ShipTemplate_Orientation = grmi.NewField("Orientation", "[JIT_ShipTemplate].Orientation", "orientation", grmi.TypeInt)
var ShipTemplate_PrinterId = grmi.NewField("PrinterId", "[JIT_ShipTemplate].PrinterId", "printerid", grmi.TypeString)
var ShipTemplate_TemplateFile = grmi.NewField("TemplateFile", "[JIT_ShipTemplate].TemplateFile", "templatefile", grmi.TypeString)
var ShipTemplate_CtrlPara1 = grmi.NewField("CtrlPara1", "[JIT_ShipTemplate].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ShipTemplate_CtrlPara2 = grmi.NewField("CtrlPara2", "[JIT_ShipTemplate].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ShipTemplate_CtrlStr1 = grmi.NewField("CtrlStr1", "[JIT_ShipTemplate].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ShipTemplate_CtrlStr2 = grmi.NewField("CtrlStr2", "[JIT_ShipTemplate].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ShipTemplate_CtrlTime1 = grmi.NewField("CtrlTime1", "[JIT_ShipTemplate].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ShipTemplate_CtrlTime2 = grmi.NewField("CtrlTime2", "[JIT_ShipTemplate].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ShipTemplate_LastModify = grmi.NewField("LastModify", "[JIT_ShipTemplate].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipTemplate_LastUser = grmi.NewField("LastUser", "[JIT_ShipTemplate].LastUser", "lastuser", grmi.TypeString)
var ShipTemplate_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipTemplate].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipTemplate的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipTemplate = grmi.NewEntity(
	"JIT_ShipTemplate",
	func() interface{} { return &model.ShipTemplate{} },
	map[string]grmi.Field{
		ShipTemplate_PlantNr.Name:             ShipTemplate_PlantNr,
		ShipTemplate_ShipTemplateId.Name:      ShipTemplate_ShipTemplateId,
		ShipTemplate_EnabledToggle.Name:       ShipTemplate_EnabledToggle,
		ShipTemplate_DefaultCreateToggle.Name: ShipTemplate_DefaultCreateToggle,
		ShipTemplate_Descr.Name:               ShipTemplate_Descr,
		ShipTemplate_ProjectId.Name:           ShipTemplate_ProjectId,
		ShipTemplate_ShipType.Name:            ShipTemplate_ShipType,
		ShipTemplate_PrintQty.Name:            ShipTemplate_PrintQty,
		ShipTemplate_PlanQty.Name:             ShipTemplate_PlanQty,
		ShipTemplate_Orientation.Name:         ShipTemplate_Orientation,
		ShipTemplate_PrinterId.Name:           ShipTemplate_PrinterId,
		ShipTemplate_TemplateFile.Name:        ShipTemplate_TemplateFile,
		ShipTemplate_CtrlPara1.Name:           ShipTemplate_CtrlPara1,
		ShipTemplate_CtrlPara2.Name:           ShipTemplate_CtrlPara2,
		ShipTemplate_CtrlStr1.Name:            ShipTemplate_CtrlStr1,
		ShipTemplate_CtrlStr2.Name:            ShipTemplate_CtrlStr2,
		ShipTemplate_CtrlTime1.Name:           ShipTemplate_CtrlTime1,
		ShipTemplate_CtrlTime2.Name:           ShipTemplate_CtrlTime2,
		ShipTemplate_LastModify.Name:          ShipTemplate_LastModify,
		ShipTemplate_LastUser.Name:            ShipTemplate_LastUser,
		ShipTemplate_CreateTime.Name:          ShipTemplate_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"EnabledToggle", "DefaultCreateToggle", "Descr", "ProjectId", "ShipType", "PrintQty", "PlanQty", "Orientation", "PrinterId", "TemplateFile", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
