// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : HondaCalloff的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
var HondaCalloff_PlantNr = grmi.NewField("PlantNr", "[PLN_HondaCalloff].PlantNr", "plantnr", grmi.TypeInt)
var HondaCalloff_CalloffId = grmi.NewField("CalloffId", "[PLN_HondaCalloff].CalloffId", "calloffid", grmi.TypeString)
var HondaCalloff_CardNo = grmi.NewField("CardNo", "[PLN_HondaCalloff].CardNo", "cardno", grmi.TypeString)
var HondaCalloff_SerialNo = grmi.NewField("SerialNo", "[PLN_HondaCalloff].SerialNo", "serialno", grmi.TypeString)
var HondaCalloff_LineNo = grmi.NewField("LineNo", "[PLN_HondaCalloff].LineNo", "lineno", grmi.TypeString)
var HondaCalloff_Parsed = grmi.NewField("Parsed", "[PLN_HondaCalloff].Parsed", "parsed", grmi.TypeInt)
var HondaCalloff_CalloffDateTime = grmi.NewField("CalloffDateTime", "[PLN_HondaCalloff].CalloffDateTime", "calloffdatetime", grmi.TypeDateTime)
var HondaCalloff_PlanQty = grmi.NewField("PlanQty", "[PLN_HondaCalloff].PlanQty", "planqty", grmi.TypeInt)
var HondaCalloff_EdiFile = grmi.NewField("EdiFile", "[PLN_HondaCalloff].EdiFile", "edifile", grmi.TypeString)
var HondaCalloff_EdiFileType = grmi.NewField("EdiFileType", "[PLN_HondaCalloff].EdiFileType", "edifiletype", grmi.TypeString)
var HondaCalloff_CtrlPara1 = grmi.NewField("CtrlPara1", "[PLN_HondaCalloff].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var HondaCalloff_CtrlPara2 = grmi.NewField("CtrlPara2", "[PLN_HondaCalloff].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var HondaCalloff_CtrlStr1 = grmi.NewField("CtrlStr1", "[PLN_HondaCalloff].CtrlStr1", "ctrlstr1", grmi.TypeString)
var HondaCalloff_CtrlStr2 = grmi.NewField("CtrlStr2", "[PLN_HondaCalloff].CtrlStr2", "ctrlstr2", grmi.TypeString)
var HondaCalloff_CtrlTime1 = grmi.NewField("CtrlTime1", "[PLN_HondaCalloff].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var HondaCalloff_CtrlTime2 = grmi.NewField("CtrlTime2", "[PLN_HondaCalloff].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var HondaCalloff_LastModify = grmi.NewField("LastModify", "[PLN_HondaCalloff].LastModify", "lastmodify", grmi.TypeDateTime)
var HondaCalloff_LastUser = grmi.NewField("LastUser", "[PLN_HondaCalloff].LastUser", "lastuser", grmi.TypeString)
var HondaCalloff_CreateTime = grmi.NewField("CreateTime", "[PLN_HondaCalloff].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : HondaCalloff的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
var HondaCalloff = grmi.NewEntity(
	"PLN_HondaCalloff",
	func() interface{} { return &model.HondaCalloff{} },
	map[string]grmi.Field{
		HondaCalloff_PlantNr.Name:         HondaCalloff_PlantNr,
		HondaCalloff_CalloffId.Name:       HondaCalloff_CalloffId,
		HondaCalloff_CardNo.Name:          HondaCalloff_CardNo,
		HondaCalloff_SerialNo.Name:        HondaCalloff_SerialNo,
		HondaCalloff_LineNo.Name:          HondaCalloff_LineNo,
		HondaCalloff_Parsed.Name:          HondaCalloff_Parsed,
		HondaCalloff_CalloffDateTime.Name: HondaCalloff_CalloffDateTime,
		HondaCalloff_PlanQty.Name:         HondaCalloff_PlanQty,
		HondaCalloff_EdiFile.Name:         HondaCalloff_EdiFile,
		HondaCalloff_EdiFileType.Name:     HondaCalloff_EdiFileType,
		HondaCalloff_CtrlPara1.Name:       HondaCalloff_CtrlPara1,
		HondaCalloff_CtrlPara2.Name:       HondaCalloff_CtrlPara2,
		HondaCalloff_CtrlStr1.Name:        HondaCalloff_CtrlStr1,
		HondaCalloff_CtrlStr2.Name:        HondaCalloff_CtrlStr2,
		HondaCalloff_CtrlTime1.Name:       HondaCalloff_CtrlTime1,
		HondaCalloff_CtrlTime2.Name:       HondaCalloff_CtrlTime2,
		HondaCalloff_LastModify.Name:      HondaCalloff_LastModify,
		HondaCalloff_LastUser.Name:        HondaCalloff_LastUser,
		HondaCalloff_CreateTime.Name:      HondaCalloff_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"CardNo", "SerialNo", "LineNo", "Parsed", "CalloffDateTime", "PlanQty", "EdiFile", "EdiFileType", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
