// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : ToyotaCalloff的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
var ToyotaCalloff_PlantNr = grmi.NewField("PlantNr", "[PLN_ToyotaCalloff].PlantNr", "plantnr", grmi.TypeInt)
var ToyotaCalloff_DemandId = grmi.NewField("DemandId", "[PLN_ToyotaCalloff].DemandId", "demandid", grmi.TypeString)
var ToyotaCalloff_SupplierCode = grmi.NewField("SupplierCode", "[PLN_ToyotaCalloff].SupplierCode", "suppliercode", grmi.TypeString)
var ToyotaCalloff_ProjectId = grmi.NewField("ProjectId", "[PLN_ToyotaCalloff].ProjectId", "projectid", grmi.TypeString)
var ToyotaCalloff_ProductFamilyId = grmi.NewField("ProductFamilyId", "[PLN_ToyotaCalloff].ProductFamilyId", "productfamilyid", grmi.TypeString)
var ToyotaCalloff_TotalQty = grmi.NewField("TotalQty", "[PLN_ToyotaCalloff].TotalQty", "totalqty", grmi.TypeInt)
var ToyotaCalloff_CheckSequence = grmi.NewField("CheckSequence", "[PLN_ToyotaCalloff].CheckSequence", "checksequence", grmi.TypeInt)
var ToyotaCalloff_Parsed = grmi.NewField("Parsed", "[PLN_ToyotaCalloff].Parsed", "parsed", grmi.TypeInt)
var ToyotaCalloff_OrderTime = grmi.NewField("OrderTime", "[PLN_ToyotaCalloff].OrderTime", "ordertime", grmi.TypeDateTime)
var ToyotaCalloff_OrderShift = grmi.NewField("OrderShift", "[PLN_ToyotaCalloff].OrderShift", "ordershift", grmi.TypeInt)
var ToyotaCalloff_FileTime = grmi.NewField("FileTime", "[PLN_ToyotaCalloff].FileTime", "filetime", grmi.TypeDateTime)
var ToyotaCalloff_EdiFile = grmi.NewField("EdiFile", "[PLN_ToyotaCalloff].EdiFile", "edifile", grmi.TypeString)
var ToyotaCalloff_EdiFileType = grmi.NewField("EdiFileType", "[PLN_ToyotaCalloff].EdiFileType", "edifiletype", grmi.TypeString)
var ToyotaCalloff_RecordId = grmi.NewField("RecordId", "[PLN_ToyotaCalloff].RecordId", "recordid", grmi.TypeString)
var ToyotaCalloff_CheckBarcode = grmi.NewField("CheckBarcode", "[PLN_ToyotaCalloff].CheckBarcode", "checkbarcode", grmi.TypeString)
var ToyotaCalloff_CtrlPara1 = grmi.NewField("CtrlPara1", "[PLN_ToyotaCalloff].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ToyotaCalloff_CtrlPara2 = grmi.NewField("CtrlPara2", "[PLN_ToyotaCalloff].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ToyotaCalloff_CtrlStr1 = grmi.NewField("CtrlStr1", "[PLN_ToyotaCalloff].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ToyotaCalloff_CtrlStr2 = grmi.NewField("CtrlStr2", "[PLN_ToyotaCalloff].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ToyotaCalloff_CtrlTime1 = grmi.NewField("CtrlTime1", "[PLN_ToyotaCalloff].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ToyotaCalloff_CtrlTime2 = grmi.NewField("CtrlTime2", "[PLN_ToyotaCalloff].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ToyotaCalloff_LastModify = grmi.NewField("LastModify", "[PLN_ToyotaCalloff].LastModify", "lastmodify", grmi.TypeDateTime)
var ToyotaCalloff_LastUser = grmi.NewField("LastUser", "[PLN_ToyotaCalloff].LastUser", "lastuser", grmi.TypeString)
var ToyotaCalloff_CreateTime = grmi.NewField("CreateTime", "[PLN_ToyotaCalloff].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ToyotaCalloff的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
var ToyotaCalloff = grmi.NewEntity(
	"PLN_ToyotaCalloff",
	func() interface{} { return &model.ToyotaCalloff{} },
	map[string]grmi.Field{
		ToyotaCalloff_PlantNr.Name:         ToyotaCalloff_PlantNr,
		ToyotaCalloff_DemandId.Name:        ToyotaCalloff_DemandId,
		ToyotaCalloff_SupplierCode.Name:    ToyotaCalloff_SupplierCode,
		ToyotaCalloff_ProjectId.Name:       ToyotaCalloff_ProjectId,
		ToyotaCalloff_ProductFamilyId.Name: ToyotaCalloff_ProductFamilyId,
		ToyotaCalloff_TotalQty.Name:        ToyotaCalloff_TotalQty,
		ToyotaCalloff_CheckSequence.Name:   ToyotaCalloff_CheckSequence,
		ToyotaCalloff_Parsed.Name:          ToyotaCalloff_Parsed,
		ToyotaCalloff_OrderTime.Name:       ToyotaCalloff_OrderTime,
		ToyotaCalloff_OrderShift.Name:      ToyotaCalloff_OrderShift,
		ToyotaCalloff_FileTime.Name:        ToyotaCalloff_FileTime,
		ToyotaCalloff_EdiFile.Name:         ToyotaCalloff_EdiFile,
		ToyotaCalloff_EdiFileType.Name:     ToyotaCalloff_EdiFileType,
		ToyotaCalloff_CtrlPara1.Name:       ToyotaCalloff_CtrlPara1,
		ToyotaCalloff_CtrlPara2.Name:       ToyotaCalloff_CtrlPara2,
		ToyotaCalloff_CheckBarcode.Name:    ToyotaCalloff_CheckBarcode,
		ToyotaCalloff_CtrlStr1.Name:        ToyotaCalloff_CtrlStr1,
		ToyotaCalloff_CtrlStr2.Name:        ToyotaCalloff_CtrlStr2,
		ToyotaCalloff_CtrlTime1.Name:       ToyotaCalloff_CtrlTime1,
		ToyotaCalloff_CtrlTime2.Name:       ToyotaCalloff_CtrlTime2,
		ToyotaCalloff_LastModify.Name:      ToyotaCalloff_LastModify,
		ToyotaCalloff_LastUser.Name:        ToyotaCalloff_LastUser,
		ToyotaCalloff_CreateTime.Name:      ToyotaCalloff_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"SupplierCode", "ProjectId", "ProductFamilyId", "TotalQty", "CheckSequence", "Parsed", "OrderTime", "OrderShift", "FileTime", "EdiFile", "EdiFileType", "RecordId", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CheckBarcode", "CtrlTime1", "CtrlTime2", "LastUser"})
