// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Asset的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-08 13:20:42
 *
 ******************************************************************************/
var Asset_PlantNr = grmi.NewField("PlantNr", "[PM_Asset].PlantNr", "plantnr", grmi.TypeInt)
var Asset_AssetNr = grmi.NewField("AssetNr", "[PM_Asset].AssetNr", "assetnr", grmi.TypeInt)
var Asset_Descr = grmi.NewField("Descr", "[PM_Asset].Descr", "descr", grmi.TypeString)
var Asset_AssetName = grmi.NewField("AssetName", "[PM_Asset].AssetName", "assetname", grmi.TypeString)
var Asset_AssetType = grmi.NewField("AssetType", "[PM_Asset].AssetType", "assettype", grmi.TypeString)
var Asset_Model = grmi.NewField("Model", "[PM_Asset].Model", "model", grmi.TypeString)
var Asset_Year = grmi.NewField("Year", "[PM_Asset].Year", "year", grmi.TypeString)
var Asset_SerialNo = grmi.NewField("SerialNo", "[PM_Asset].SerialNo", "serialno", grmi.TypeString)
var Asset_TagNo = grmi.NewField("TagNo", "[PM_Asset].TagNo", "tagno", grmi.TypeString)
var Asset_Maker = grmi.NewField("Maker", "[PM_Asset].Maker", "maker", grmi.TypeString)
var Asset_LocaNr = grmi.NewField("LocaNr", "[PM_Asset].LocaNr", "locanr", grmi.TypeInt)
var Asset_AssetStatus = grmi.NewField("AssetStatus", "[PM_Asset].AssetStatus", "assetstatus", grmi.TypeInt)
var Asset_Operator = grmi.NewField("Operator", "[PM_Asset].Operator", "operator", grmi.TypeInt)
var Asset_WeekModelId = grmi.NewField("WeekModelId", "[PM_Asset].WeekModelId", "weekmodelid", grmi.TypeInt)
var Asset_WorkCalEndarId = grmi.NewField("WorkCalEndarId", "[PM_Asset].WorkCalEndarId", "workcalendarid", grmi.TypeInt)
var Asset_CostCenterId = grmi.NewField("CostCenterId", "[PM_Asset].CostCenterId", "costcenterid", grmi.TypeString)
var Asset_LastModify = grmi.NewField("LastModify", "[PM_Asset].LastModify", "lastmodify", grmi.TypeDateTime)
var Asset_LastUser = grmi.NewField("LastUser", "[PM_Asset].LastUser", "lastuser", grmi.TypeString)
var Asset_CreateTime = grmi.NewField("CreateTime", "[PM_Asset].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Asset的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-08 13:20:42
 *
 ******************************************************************************/
var Asset = grmi.NewEntity(
	"PM_Asset",
	func() interface{} { return &model.Asset{} },
	map[string]grmi.Field{
		Asset_PlantNr.Name:        Asset_PlantNr,
		Asset_AssetNr.Name:        Asset_AssetNr,
		Asset_Descr.Name:          Asset_Descr,
		Asset_AssetName.Name:      Asset_AssetName,
		Asset_AssetType.Name:      Asset_AssetType,
		Asset_Model.Name:          Asset_Model,
		Asset_Year.Name:           Asset_Year,
		Asset_SerialNo.Name:       Asset_SerialNo,
		Asset_TagNo.Name:          Asset_TagNo,
		Asset_Maker.Name:          Asset_Maker,
		Asset_LocaNr.Name:         Asset_LocaNr,
		Asset_AssetStatus.Name:    Asset_AssetStatus,
		Asset_Operator.Name:       Asset_Operator,
		Asset_WeekModelId.Name:    Asset_WeekModelId,
		Asset_WorkCalEndarId.Name: Asset_WorkCalEndarId,
		Asset_CostCenterId.Name:   Asset_CostCenterId,
		Asset_LastModify.Name:     Asset_LastModify,
		Asset_LastUser.Name:       Asset_LastUser,
		Asset_CreateTime.Name:     Asset_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "AssetName", "AssetType", "Model", "Year", "SerialNo", "TagNo", "Maker", "LocaNr", "AssetStatus", "Operator", "WeekModelId", "WorkCalEndarId", "CostCenterId", "LastUser"})
