// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pm

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pm"
)

/******************************************************************************
 *
 * @Description              : Service的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-08 13:20:42
 *
 ******************************************************************************/
var Service_PlantNr = grmi.NewField("PlantNr", "[PM_Service].PlantNr", "plantnr", grmi.TypeInt)
var Service_MainServiceNr = grmi.NewField("MainServiceNr", "[PM_Service].MainServiceNr", "mainservicenr", grmi.TypeInt)
var Service_Descr = grmi.NewField("Descr", "[PM_Service].Descr", "descr", grmi.TypeString)
var Service_MaintType = grmi.NewField("MaintType", "[PM_Service].MaintType", "mainttype", grmi.TypeString)
var Service_Priority = grmi.NewField("Priority", "[PM_Service].Priority", "priority", grmi.TypeInt)
var Service_EnabledToggle = grmi.NewField("EnabledToggle", "[PM_Service].EnabledToggle", "enabledtoggle", grmi.TypeBool)
var Service_MaintByDateToggle = grmi.NewField("MaintByDateToggle", "[PM_Service].MaintByDateToggle", "maintbydatetoggle", grmi.TypeBool)
var Service_DueDateInterval = grmi.NewField("DueDateInterval", "[PM_Service].DueDateInterval", "duedateinterval", grmi.TypeInt)
var Service_NodifyDays = grmi.NewField("NodifyDays", "[PM_Service].NodifyDays", "nodifydays", grmi.TypeInt)
var Service_DueDateOn = grmi.NewField("DueDateOn", "[PM_Service].DueDateOn", "duedateon", grmi.TypeDate)
var Service_MaintByHourToggle = grmi.NewField("MaintByHourToggle", "[PM_Service].MaintByHourToggle", "maintbyhourtoggle", grmi.TypeBool)
var Service_DueHourInterval = grmi.NewField("DueHourInterval", "[PM_Service].DueHourInterval", "duehourinterval", grmi.TypeInt)
var Service_NodifyHours = grmi.NewField("NodifyHours", "[PM_Service].NodifyHours", "nodifyhours", grmi.TypeInt)
var Service_DueHourOn = grmi.NewField("DueHourOn", "[PM_Service].DueHourOn", "duehouron", grmi.TypeDate)
var Service_MaintByMileageToggle = grmi.NewField("MaintByMileageToggle", "[PM_Service].MaintByMileageToggle", "maintbymileagetoggle", grmi.TypeBool)
var Service_DueMileageInterval = grmi.NewField("DueMileageInterval", "[PM_Service].DueMileageInterval", "duemileageinterval", grmi.TypeInt)
var Service_NodifyMileages = grmi.NewField("NodifyMileages", "[PM_Service].NodifyMileages", "nodifymileages", grmi.TypeInt)
var Service_DueMileageAt = grmi.NewField("DueMileageAt", "[PM_Service].DueMileageAt", "duemileageat", grmi.TypeInt)
var Service_NeedSchedule = grmi.NewField("NeedSchedule", "[PM_Service].NeedSchedule", "needschedule", grmi.TypeInt)
var Service_MainTimeLen = grmi.NewField("MainTimeLen", "[PM_Service].MainTimeLen", "maintimelen", grmi.TypeFloat64)
var Service_TimeUnit = grmi.NewField("TimeUnit", "[PM_Service].TimeUnit", "timeunit", grmi.TypeString)
var Service_SchedType = grmi.NewField("SchedType", "[PM_Service].SchedType", "schedtype", grmi.TypeString)
var Service_Department = grmi.NewField("Department", "[PM_Service].Department", "department", grmi.TypeString)
var Service_LastModify = grmi.NewField("LastModify", "[PM_Service].LastModify", "lastmodify", grmi.TypeDateTime)
var Service_LastUser = grmi.NewField("LastUser", "[PM_Service].LastUser", "lastuser", grmi.TypeString)
var Service_CreateTime = grmi.NewField("CreateTime", "[PM_Service].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Service的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-08 13:20:42
 *
 ******************************************************************************/
var Service = grmi.NewEntity(
	"PM_Service",
	func() interface{} { return &model.Service{} },
	map[string]grmi.Field{
		Service_PlantNr.Name:              Service_PlantNr,
		Service_MainServiceNr.Name:        Service_MainServiceNr,
		Service_Descr.Name:                Service_Descr,
		Service_MaintType.Name:            Service_MaintType,
		Service_Priority.Name:             Service_Priority,
		Service_EnabledToggle.Name:        Service_EnabledToggle,
		Service_MaintByDateToggle.Name:    Service_MaintByDateToggle,
		Service_DueDateInterval.Name:      Service_DueDateInterval,
		Service_NodifyDays.Name:           Service_NodifyDays,
		Service_DueDateOn.Name:            Service_DueDateOn,
		Service_MaintByHourToggle.Name:    Service_MaintByHourToggle,
		Service_DueHourInterval.Name:      Service_DueHourInterval,
		Service_NodifyHours.Name:          Service_NodifyHours,
		Service_DueHourOn.Name:            Service_DueHourOn,
		Service_MaintByMileageToggle.Name: Service_MaintByMileageToggle,
		Service_DueMileageInterval.Name:   Service_DueMileageInterval,
		Service_NodifyMileages.Name:       Service_NodifyMileages,
		Service_DueMileageAt.Name:         Service_DueMileageAt,
		Service_NeedSchedule.Name:         Service_NeedSchedule,
		Service_MainTimeLen.Name:          Service_MainTimeLen,
		Service_TimeUnit.Name:             Service_TimeUnit,
		Service_SchedType.Name:            Service_SchedType,
		Service_Department.Name:           Service_Department,
		Service_LastModify.Name:           Service_LastModify,
		Service_LastUser.Name:             Service_LastUser,
		Service_CreateTime.Name:           Service_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "MaintType", "Priority", "EnabledToggle", "MaintByDateToggle", "DueDateInterval", "NodifyDays", "DueDateOn", "MaintByHourToggle", "DueHourInterval", "NodifyHours", "DueHourOn", "MaintByMileageToggle", "DueMileageInterval", "NodifyMileages", "DueMileageAt", "NeedSchedule", "MainTimeLen", "TimeUnit", "SchedType", "Department", "LastUser"})
