// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : CrossPlanTaskDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : CrossPlanTaskDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-19 17:51:14
 *
 ******************************************************************************/
type CrossPlanTaskDetail struct {
	TaskNr          int           `xorm:"pk int 'TaskNr'" json:"CrossPlanTaskDetail-TaskNr"`
	ItemNr          int           `xorm:"pk int 'ItemNr' autoincr" json:"CrossPlanTaskDetail-ItemNr"`
	ArtId           string        `xorm:"nvarchar(255) 'ArtId' not null" json:"CrossPlanTaskDetail-ArtId"`
	Status          int           `xorm:"int 'Status' not null" json:"CrossPlanTaskDetail-Status"`
	BusinessObjType string        `xorm:"nvarchar(40) 'BusinessObjType' not null" json:"CrossPlanTaskDetail-BusinessObjType"`
	BusinessObjId   string        `xorm:"nvarchar(40) 'BusinessObjId' not null" json:"CrossPlanTaskDetail-BusinessObjId"`
	AccomplishTime  grmi.DateTime `xorm:"datetime 'AccomplishTime'" json:"CrossPlanTaskDetail-AccomplishTime"`
	ErrorMsg        string        `xorm:"nvarchar(255) 'ErrorMsg'" json:"CrossPlanTaskDetail-ErrorMsg"`
	TranferStrPara1 string        `xorm:"nvarchar(255) 'TranferStrPara1'" json:"CrossPlanTaskDetail-TranferStrPara1"`
	TranferStrPara2 string        `xorm:"nvarchar(255) 'TranferStrPara2'" json:"CrossPlanTaskDetail-TranferStrPara2"`
	TranferStrPara3 string        `xorm:"nvarchar(255) 'TranferStrPara3'" json:"CrossPlanTaskDetail-TranferStrPara3"`
	TranferIntPara1 int           `xorm:"int 'TranferIntPara1'" json:"CrossPlanTaskDetail-TranferIntPara1"`
	TranferIntPara2 int           `xorm:"int 'TranferIntPara2'" json:"CrossPlanTaskDetail-TranferIntPara2"`
	TranferIntPara3 int           `xorm:"int 'TranferIntPara3'" json:"CrossPlanTaskDetail-TranferIntPara3"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"CrossPlanTaskDetail-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"CrossPlanTaskDetail-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"CrossPlanTaskDetail-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-19 17:51:14
 *
 ******************************************************************************/
func (self *CrossPlanTaskDetail) GetKey() core.PK {
	return core.PK{self.TaskNr, self.ItemNr}
}
