// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : LabelHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : LabelHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
type LabelHead struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"LabelHead-PlantNr"`
	LabelId         string        `xorm:"pk nvarchar(40) 'LabelId'" json:"LabelHead-LabelId"`
	OperationId     int           `xorm:"int 'OperationId'" json:"LabelHead-OperationId"`
	LabelTemplateId string        `xorm:"nvarchar(40) 'LabelTemplateId' not null" json:"LabelHead-LabelTemplateId"`
	PrinterId       string        `xorm:"nvarchar(40) 'PrinterId' not null" json:"LabelHead-PrinterId"`
	BusinessObjType string        `xorm:"nvarchar(40) 'BusinessObjType' not null" json:"LabelHead-BusinessObjType"`
	BusinessObjId   string        `xorm:"nvarchar(40) 'BusinessObjId' not null" json:"LabelHead-BusinessObjId"`
	Status          int           `xorm:"int 'Status' not null" json:"LabelHead-Status"`
	PrintQty        int           `xorm:"int 'PrintQty' not null" json:"LabelHead-PrintQty"`
	PrintTime       grmi.DateTime `xorm:"datetime 'PrintTime'" json:"LabelHead-PrintTime"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LabelHead-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LabelHead-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LabelHead-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
func (self *LabelHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.LabelId}
}
