// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : MaterialFrameInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : MaterialFrameInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-19 16:19:33
 *
 ******************************************************************************/
type MaterialFrameInfo struct {
	PlantNr            int           `xorm:"pk int 'PlantNr'" json:"MaterialFrameInfo-PlantNr"`
	WorkPlaceNr        int           `xorm:"pk int 'WorkPlaceNr'" json:"MaterialFrameInfo-WorkPlaceNr"`
	WorkPlaceDesc      string        `xorm:"pk varchar(50) 'WorkPlaceDesc'" json:"MaterialFrameInfo-WorkPlaceDesc"`
	GatewayIP          string        `xorm:"pk varchar(15) 'GatewayIP'" json:"MaterialFrameInfo-GatewayIP"`
	LampAddress        string        `xorm:"pk varchar(20) 'LampAddress'" json:"MaterialFrameInfo-LampAddress"`
	FrameID            int           `xorm:"pk int 'FrameID'" json:"MaterialFrameInfo-FrameID"`
	LevelID            int           `xorm:"pk int 'LevelID'" json:"MaterialFrameInfo-LevelID"`
	BoxID              int           `xorm:"pk int 'BoxID'" json:"MaterialFrameInfo-BoxID"`
	TagAddr            string        `xorm:"pk varchar(5) 'TagAddr'" json:"MaterialFrameInfo-TagAddr"`
	ArtID              string        `xorm:"pk varchar(15) 'ArtID'" json:"MaterialFrameInfo-ArtID"`
	CustArtID          string        `xorm:"pk varchar(15) 'CustArtID'" json:"MaterialFrameInfo-CustArtID"`
	DescCN             string        `xorm:"pk varchar(255) 'DescCN'" json:"MaterialFrameInfo-DescCN"`
	StandardPack       int           `xorm:"pk int 'StandardPack'" json:"MaterialFrameInfo-StandardPack"`
	FullLoadNum        int           `xorm:"int 'FullLoadNum' not null" json:"MaterialFrameInfo-FullLoadNum"`
	InitialNum         int           `xorm:"int 'InitialNum' not null" json:"MaterialFrameInfo-InitialNum"`
	AlreadyPicked      int           `xorm:"int 'AlreadyPicked' not null" json:"MaterialFrameInfo-AlreadyPicked"`
	LastCallSystime    grmi.DateTime `xorm:"datetime 'LastCallSystime' not null" json:"MaterialFrameInfo-LastCallSystime"`
	LastRespondSystime grmi.DateTime `xorm:"datetime 'LastRespondSystime' not null" json:"MaterialFrameInfo-LastRespondSystime"`
	AGVStatusFlag      int           `xorm:"int 'AGVStatusFlag' not null" json:"MaterialFrameInfo-AGVStatusFlag"`
	LastModify         grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"MaterialFrameInfo-LastModify"`
	LastUser           string        `xorm:"nvarchar(20) 'LastUser' not null" json:"MaterialFrameInfo-LastUser"`
	CreateTime         grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"MaterialFrameInfo-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-19 16:19:33
 *
 ******************************************************************************/
func (self *MaterialFrameInfo) GetKey() core.PK {
	return core.PK{self.WorkPlaceNr, self.WorkPlaceDesc, self.GatewayIP, self.LampAddress, self.FrameID, self.LevelID, self.BoxID, self.TagAddr, self.ArtID, self.CustArtID, self.DescCN, self.StandardPack, self.PlantNr}
}
