// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : MonitorOperation
 *-----------------------------------------------------------------------------
 *
 * @Description              : MonitorOperation的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
type MonitorOperation struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"MonitorOperation-PlantNr"`
	OperationId   int           `xorm:"pk int 'OperationId' autoincr" json:"MonitorOperation-OperationId"`
	PO            string        `xorm:"nvarchar(40) 'PO' not null" json:"MonitorOperation-PO"`
	StepNo        int           `xorm:"int 'StepNo' not null" json:"MonitorOperation-StepNo"`
	StepDesc      string        `xorm:"nvarchar(200) 'StepDesc' not null" json:"MonitorOperation-StepDesc"`
	StepType      string        `xorm:"nvarchar(40) 'StepType' not null" json:"MonitorOperation-StepType"`
	ProjectId     string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"MonitorOperation-ProjectId"`
	TriggerPoint  string        `xorm:"nvarchar(30) 'TriggerPoint' not null" json:"MonitorOperation-TriggerPoint"`
	RunForeground int           `xorm:"int 'RunForeground' not null" json:"MonitorOperation-RunForeground"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"MonitorOperation-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"MonitorOperation-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"MonitorOperation-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
func (self *MonitorOperation) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId}
}
