// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OPCComValueCheckRule
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCComValueCheckRule的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 10:59:52
 *
 ******************************************************************************/
type OPCComValueCheckRule struct {
	Id                           int                          `xorm:"pk int 'Id' autoincr" json:"OPCComValueCheckRule-Id"`
	PlantNr                      int                          `xorm:"pk int 'PlantNr'" json:"OPCComValueCheckRule-PlantNr"`
	CheckOperationId             int                          `xorm:"int 'CheckOperationId' not null" json:"OPCComValueCheckRule-CheckOperationId"`
	CheckPO                      string                       `xorm:"nvarchar(40) 'CheckPO' not null" json:"OPCComValueCheckRule-CheckPO"`
	CheckStepNo                  int                          `xorm:"int 'CheckStepNo' not null" json:"OPCComValueCheckRule-CheckStepNo"`
	CheckStepDesc                string                       `xorm:"nvarchar(100) 'CheckStepDesc' not null" json:"OPCComValueCheckRule-CheckStepDesc"`
	CheckPos                     int                          `xorm:"int 'CheckPos' not null" json:"OPCComValueCheckRule-CheckPos"`
	CheckProductId               string                       `xorm:"nvarchar(40) 'CheckProductId' not null" json:"OPCComValueCheckRule-CheckProductId"`
	CheckWorkPlaceNr             int                          `xorm:"int 'CheckWorkPlaceNr' not null" json:"OPCComValueCheckRule-CheckWorkPlaceNr"`
	MaxCheckTime                 int                          `xorm:"int 'MaxCheckTime' not null" json:"OPCComValueCheckRule-MaxCheckTime"`
	LastModify                   grmi.DateTime                `xorm:"datetime 'LastModify' not null updated" json:"OPCComValueCheckRule-LastModify"`
	LastUser                     string                       `xorm:"nvarchar(20) 'LastUser' not null" json:"OPCComValueCheckRule-LastUser"`
	CreateTime                   grmi.DateTime                `xorm:"datetime 'CreateTime' not null created" json:"OPCComValueCheckRule-CreateTime"`
	OPCComValueCheckRuleDetailLi []OPCComValueCheckRuleDetail `xorm:"-" json:"OPCComValueCheckRule-OPCComValueCheckRuleDetailLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-09 10:59:52
 *
 ******************************************************************************/
func (self *OPCComValueCheckRule) GetKey() core.PK {
	return core.PK{self.Id, self.PlantNr}
}
