// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OPCMonitorBasicComInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : OPCMonitorBasicComInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
type OPCMonitorBasicComInfo struct {
	PlantNr             int                 `xorm:"pk int 'PlantNr'" json:"OPCMonitorBasicComInfo-PlantNr"`
	OperationId         int                 `xorm:"pk int 'OperationId'" json:"OPCMonitorBasicComInfo-OperationId"`
	WorkPlaceNr         int                 `xorm:"pk int 'WorkPlaceNr'" json:"OPCMonitorBasicComInfo-WorkPlaceNr"`
	PO                  string              `xorm:"nvarchar(40) 'PO' not null" json:"OPCMonitorBasicComInfo-PO"`
	StepNo              int                 `xorm:"int 'StepNo' not null" json:"OPCMonitorBasicComInfo-StepNo"`
	StepDesc            string              `xorm:"nvarchar(100) 'StepDesc' not null" json:"OPCMonitorBasicComInfo-StepDesc"`
	ProjectId           string              `xorm:"nvarchar(40) 'ProjectId' not null" json:"OPCMonitorBasicComInfo-ProjectId"`
	BrandName           string              `xorm:"nvarchar(40) 'BrandName' not null" json:"OPCMonitorBasicComInfo-BrandName"`
	MachineType         string              `xorm:"nvarchar(40) 'MachineType' not null" json:"OPCMonitorBasicComInfo-MachineType"`
	IpAddress           string              `xorm:"nvarchar(40) 'IpAddress' not null" json:"OPCMonitorBasicComInfo-IpAddress"`
	CheckWriteBack      bool                `xorm:"bit 'CheckWriteBack' not null" json:"OPCMonitorBasicComInfo-CheckWriteBack"`
	LastModify          grmi.DateTime       `xorm:"datetime 'LastModify' not null updated" json:"OPCMonitorBasicComInfo-LastModify"`
	LastUser            string              `xorm:"nvarchar(20) 'LastUser' not null" json:"OPCMonitorBasicComInfo-LastUser"`
	CreateTime          grmi.DateTime       `xorm:"datetime 'CreateTime' not null created" json:"OPCMonitorBasicComInfo-CreateTime"`
	OPCMonitorComRuleLi []OPCMonitorComRule `xorm:"-" json:"OPCMonitorBasicComInfo-OPCMonitorComRuleLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 09:48:01
 *
 ******************************************************************************/
func (self *OPCMonitorBasicComInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId, self.WorkPlaceNr}
}
