// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PLCErrorInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : PLCErrorInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-14 17:25:00
 *
 ******************************************************************************/
type PLCErrorInfo struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"PLCErrorInfo-PlantNr"`
	ErrorId    string        `xorm:"pk nvarchar(40) 'ErrorId'" json:"PLCErrorInfo-ErrorId"`
	Source     string        `xorm:"pk nvarchar(40) 'Source'" json:"PLCErrorInfo-Source"`
	Status     int           `xorm:"int 'Status' not null" json:"PLCErrorInfo-Status"`
	Step       int           `xorm:"int 'Step' not null" json:"PLCErrorInfo-Step"`
	ErrorInfo  string        `xorm:"nvarchar(500) 'ErrorInfo' not null" json:"PLCErrorInfo-ErrorInfo"`
	SeatData   string        `xorm:"nvarchar(100) 'SeatData' not null" json:"PLCErrorInfo-SeatData"`
	Location   string        `xorm:"nvarchar(40) 'Location' not null" json:"PLCErrorInfo-Location"`
	ErrorType  string        `xorm:"nvarchar(20) 'ErrorType' not null" json:"PLCErrorInfo-ErrorType"`
	SaveStr1   string        `xorm:"nvarchar(100) 'SaveStr1'" json:"PLCErrorInfo-SaveStr1"`
	SaveStr2   string        `xorm:"nvarchar(100) 'SaveStr2'" json:"PLCErrorInfo-SaveStr2"`
	SaveStr3   string        `xorm:"nvarchar(100) 'SaveStr3'" json:"PLCErrorInfo-SaveStr3"`
	SaveInt1   int           `xorm:"int 'SaveInt1'" json:"PLCErrorInfo-SaveInt1"`
	SaveInt2   int           `xorm:"int 'SaveInt2'" json:"PLCErrorInfo-SaveInt2"`
	SaveInt3   int           `xorm:"int 'SaveInt3'" json:"PLCErrorInfo-SaveInt3"`
	SaveFloat1 float64       `xorm:"float 'SaveFloat1'" json:"PLCErrorInfo-SaveFloat1"`
	SaveFloat2 float64       `xorm:"float 'SaveFloat2'" json:"PLCErrorInfo-SaveFloat2"`
	SaveFloat3 float64       `xorm:"float 'SaveFloat3'" json:"PLCErrorInfo-SaveFloat3"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLCErrorInfo-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLCErrorInfo-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLCErrorInfo-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-14 17:25:00
 *
 ******************************************************************************/
func (self *PLCErrorInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ErrorId, self.Source}
}
