// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PrintBasicRuleInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrintBasicRuleInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-16 18:01:44
 *
 ******************************************************************************/
type PrintBasicRuleInfo struct {
	PlantNr             int           `xorm:"pk int 'PlantNr'" json:"PrintBasicRuleInfo-PlantNr"`
	OperationId         int           `xorm:"pk int 'OperationId'" json:"PrintBasicRuleInfo-OperationId"`
	WorkPlaceNr         int           `xorm:"pk int 'WorkPlaceNr'" json:"PrintBasicRuleInfo-WorkPlaceNr"`
	MainCodeName        string        `xorm:"pk nvarchar(40) 'MainCodeName'" json:"PrintBasicRuleInfo-MainCodeName"`
	TemplateFile        string        `xorm:"pk nvarchar(40) 'TemplateFile'" json:"PrintBasicRuleInfo-TemplateFile"`
	PO                  string        `xorm:"nvarchar(40) 'PO' not null" json:"PrintBasicRuleInfo-PO"`
	StepNo              int           `xorm:"int 'StepNo' not null" json:"PrintBasicRuleInfo-StepNo"`
	StepDesc            string        `xorm:"nvarchar(100) 'StepDesc' not null" json:"PrintBasicRuleInfo-StepDesc"`
	ProjectId           string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"PrintBasicRuleInfo-ProjectId"`
	TemplateChooseModel string        `xorm:"nvarchar(40) 'TemplateChooseModel' not null" json:"PrintBasicRuleInfo-TemplateChooseModel"`
	DependPO            string        `xorm:"nvarchar(40) 'DependPO' not null" json:"PrintBasicRuleInfo-DependPO"`
	DependStepNo        int           `xorm:"int 'DependStepNo' not null" json:"PrintBasicRuleInfo-DependStepNo"`
	DependRuleId        int           `xorm:"int 'DependRuleId' not null" json:"PrintBasicRuleInfo-DependRuleId"`
	DependValue         string        `xorm:"nvarchar(40) 'DependValue' not null" json:"PrintBasicRuleInfo-DependValue"`
	Action              string        `xorm:"nvarchar(20) 'Action' not null" json:"PrintBasicRuleInfo-Action"`
	WhetherCheckContent int           `xorm:"int 'WhetherCheckContent' not null" json:"PrintBasicRuleInfo-WhetherCheckContent"`
	PrinterId           string        `xorm:"nvarchar(40) 'PrinterId' not null" json:"PrintBasicRuleInfo-PrinterId"`
	TemplateId          string        `xorm:"nvarchar(40) 'TemplateId'" json:"PrintBasicRuleInfo-TemplateId"`
	TemplateType        string        `xorm:"nvarchar(10) 'TemplateType'" json:"PrintBasicRuleInfo-TemplateType"`
	Qty                 int           `xorm:"int 'Qty' not null" json:"PrintBasicRuleInfo-Qty"`
	CollectScanBarcode  bool          `xorm:"bit 'CollectScanBarcode'" json:"PrintBasicRuleInfo-CollectScanBarcode"`
	ScanOperationId     int           `xorm:"int 'ScanOperationId'" json:"PrintBasicRuleInfo-ScanOperationId"`
	LabelDetailPos      string        `xorm:"nvarchar(255) 'LabelDetailPos'" json:"PrintBasicRuleInfo-LabelDetailPos"`
	ScanPo              string        `xorm:"nvarchar(40) 'ScanPo'" json:"PrintBasicRuleInfo-ScanPo"`
	LastModify          grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PrintBasicRuleInfo-LastModify"`
	LastUser            string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PrintBasicRuleInfo-LastUser"`
	CreateTime          grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PrintBasicRuleInfo-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-16 18:01:44
 *
 ******************************************************************************/
func (self *PrintBasicRuleInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OperationId, self.WorkPlaceNr, self.MainCodeName, self.TemplateFile}
}
