// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : RPDashBoardHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : RPDashBoardHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
type RPDashBoardHead struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"RP_DashBoardHead-PlantNr"`
	DashboardId string        `xorm:"pk nvarchar(100) 'DashboardId'" json:"RP_DashBoardHead-DashboardId"`
	Desc        string        `xorm:"nvarchar(100) 'Desc' not null" json:"RP_DashBoardHead-Desc"`
	Title       string        `xorm:"nvarchar(40) 'Title' not null" json:"RP_DashBoardHead-Title"`
	DPCtrlPara1 int           `xorm:"int 'DPCtrlPara1' not null" json:"RP_DashBoardHead-DPCtrlPara1"`
	DPCtrlPara2 int           `xorm:"int 'DPCtrlPara2' not null" json:"RP_DashBoardHead-DPCtrlPara2"`
	DPCtrlPara3 string        `xorm:"nvarchar(100) 'DPCtrlPara3' not null" json:"RP_DashBoardHead-DPCtrlPara3"`
	DPCtrlPara4 string        `xorm:"nvarchar(100) 'DPCtrlPara4' not null" json:"RP_DashBoardHead-DPCtrlPara4"`
	DPCtrlPara5 float64       `xorm:"float 'DPCtrlPara5' not null" json:"RP_DashBoardHead-DPCtrlPara5"`
	DPCtrlPara6 float64       `xorm:"float 'DPCtrlPara6' not null" json:"RP_DashBoardHead-DPCtrlPara6"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"RP_DashBoardHead-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"RP_DashBoardHead-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"RP_DashBoardHead-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 14:56:42
 *
 ******************************************************************************/
func (self *RPDashBoardHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DashboardId}
}
