// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ReceiptHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReceiptHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
type ReceiptHead struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ReceiptHead-PlantNr"`
	ReceiptHeadId string        `xorm:"pk nvarchar(40) 'ReceiptHeadId'" json:"ReceiptHead-ReceiptHeadId"`
	PrinterId     string        `xorm:"nvarchar(40) 'PrinterId' not null" json:"ReceiptHead-PrinterId"`
	PrintFileType string        `xorm:"nvarchar(40) 'PrintFileType' not null" json:"ReceiptHead-PrintFileType"`
	PrintObjId    string        `xorm:"nvarchar(40) 'PrintObjId' not null" json:"ReceiptHead-PrintObjId"`
	PrintObjType  string        `xorm:"nvarchar(40) 'PrintObjType' not null" json:"ReceiptHead-PrintObjType"`
	Status        int           `xorm:"int 'Status' not null" json:"ReceiptHead-Status"`
	TemplateFile  string        `xorm:"nvarchar(100) 'TemplateFile' not null" json:"ReceiptHead-TemplateFile"`
	PrintCopies   int           `xorm:"int 'PrintCopies' not null" json:"ReceiptHead-PrintCopies"`
	PrintedTime   grmi.DateTime `xorm:"datetime 'PrintedTime'" json:"ReceiptHead-PrintedTime"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"ReceiptHead-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"ReceiptHead-CtrlPara2"`
	CtrlStr1      string        `xorm:"nvarchar(100) 'CtrlStr1' not null" json:"ReceiptHead-CtrlStr1"`
	CtrlStr2      string        `xorm:"nvarchar(100) 'CtrlStr2' not null" json:"ReceiptHead-CtrlStr2"`
	CtrlTime1     grmi.DateTime `xorm:"datetime 'CtrlTime1'" json:"ReceiptHead-CtrlTime1"`
	CtrlTime2     grmi.DateTime `xorm:"datetime 'CtrlTime2'" json:"ReceiptHead-CtrlTime2"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ReceiptHead-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ReceiptHead-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ReceiptHead-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
func (self *ReceiptHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ReceiptHeadId}
}
