// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SnrCache
 *-----------------------------------------------------------------------------
 *
 * @Description              : SnrCache的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-24 10:06:28
 *
 ******************************************************************************/
type SnrCache struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"SnrCache-PlantNr"`
	SnrId      string        `xorm:"pk varchar(20) 'SnrId'" json:"SnrCache-SnrId"`
	ItemNr     int           `xorm:"pk int 'ItemNr'" json:"SnrCache-ItemNr"`
	SnrDate    grmi.Date     `xorm:"date 'SnrDate' not null" json:"SnrCache-SnrDate"`
	SnrYear    int           `xorm:"int 'SnrYear' not null" json:"SnrCache-SnrYear"`
	SnrMonth   int           `xorm:"int 'SnrMonth' not null" json:"SnrCache-SnrMonth"`
	SnrDay     int           `xorm:"int 'SnrDay' not null" json:"SnrCache-SnrDay"`
	SnrWeek    int           `xorm:"int 'SnrWeek' not null" json:"SnrCache-SnrWeek"`
	Descr      string        `xorm:"varchar(30) 'Descr' not null" json:"SnrCache-Descr"`
	NextNr     int           `xorm:"int 'NextNr' not null" json:"SnrCache-NextNr"`
	StrCtrl1   string        `xorm:"nvarchar(100) 'StrCtrl1'" json:"SnrCache-StrCtrl1"`
	StrCtrl2   string        `xorm:"nvarchar(100) 'StrCtrl2'" json:"SnrCache-StrCtrl2"`
	StrCtrl3   string        `xorm:"nvarchar(100) 'StrCtrl3'" json:"SnrCache-StrCtrl3"`
	IntCtrl1   int           `xorm:"int 'IntCtrl1'" json:"SnrCache-IntCtrl1"`
	IntCtrl2   int           `xorm:"int 'IntCtrl2'" json:"SnrCache-IntCtrl2"`
	IntCtrl3   int           `xorm:"int 'IntCtrl3'" json:"SnrCache-IntCtrl3"`
	FlagCtrl1  bool          `xorm:"bit 'FlagCtrl1'" json:"SnrCache-FlagCtrl1"`
	FlagCtrl2  bool          `xorm:"bit 'FlagCtrl2'" json:"SnrCache-FlagCtrl2"`
	FlagCtrl3  bool          `xorm:"bit 'FlagCtrl3'" json:"SnrCache-FlagCtrl3"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"SnrCache-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"SnrCache-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"SnrCache-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-24 10:06:28
 *
 ******************************************************************************/
func (self *SnrCache) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SnrId, self.ItemNr}
}
