// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	omModel "LAPP_ACURA_MOM_BACKEND/models/om"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackOrderItemLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackOrderItemLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type PackOrderItemLst struct {
	PlantNr       int                 `xorm:"pk int 'PlantNr'" json:"JIT_PackOrderItemLst-PlantNr"`
	PackOrderId   string              `xorm:"pk nvarchar(40) 'PackOrderId'" json:"JIT_PackOrderItemLst-PackOrderId"`
	Pos           int                 `xorm:"pk int 'Pos'" json:"JIT_PackOrderItemLst-Pos"`
	PosCode       string              `xorm:"nvarchar(40) 'PosCode' not null" json:"JIT_PackOrderItemLst-PosCode"`
	OemSeq        int64               `xorm:"bigint 'OemSeq' not null" json:"JIT_PackOrderItemLst-OemSeq"`
	Seq           int                 `xorm:"int 'Seq' not null" json:"JIT_PackOrderItemLst-Seq"`
	PartId        string              `xorm:"nvarchar(40) 'PartId' not null" json:"JIT_PackOrderItemLst-PartId"`
	SerialOrderId string              `xorm:"nvarchar(40) 'SerialOrderId' not null" json:"JIT_PackOrderItemLst-SerialOrderId"`
	Status        int                 `xorm:"int 'Status' not null" json:"JIT_PackOrderItemLst-Status"`
	PlanQty       int                 `xorm:"int 'PlanQty' not null" json:"JIT_PackOrderItemLst-PlanQty"`
	ActQty        int                 `xorm:"int 'ActQty' not null" json:"JIT_PackOrderItemLst-ActQty"`
	LastModify    grmi.DateTime       `xorm:"datetime 'LastModify' not null updated" json:"JIT_PackOrderItemLst-LastModify"`
	LastUser      string              `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_PackOrderItemLst-LastUser"`
	CreateTime    grmi.DateTime       `xorm:"datetime 'CreateTime' not null created" json:"JIT_PackOrderItemLst-CreateTime"`
	ArtDesc       string              `xorm:"-" json:"JIT_PackOrderItemLst-ArtDesc"`
	SerialOrder   omModel.SerialOrder `xorm:"-" json:"JIT_PackOrderItemLst-SerialOrder"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *PackOrderItemLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackOrderId, self.Pos}
}
