// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackOrderPlcError
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackOrderPlcError的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-10 14:47:04
 *
 ******************************************************************************/
type PackOrderPlcError struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"JIT_PackOrderPlcError-PlantNr"`
	PackOrderId string        `xorm:"pk nvarchar(40) 'PackOrderId'" json:"JIT_PackOrderPlcError-PackOrderId"`
	Status      int           `xorm:"int 'Status' not null" json:"JIT_PackOrderPlcError-Status"`
	Step        int           `xorm:"int 'Step' not null" json:"JIT_PackOrderPlcError-Step"`
	ErrorInfo   string        `xorm:"nvarchar(500) 'ErrorInfo' not null" json:"JIT_PackOrderPlcError-ErrorInfo"`
	ErrorType   string        `xorm:"nvarchar(20) 'ErrorType' not null" json:"PLCErrorInfo-ErrorType"`
	Location    string        `xorm:"nvarchar(40) 'Location' not null" json:"JIT_PackOrderPlcError-Location"`
	SeatData    string        `xorm:"nvarchar(100) 'SeatData' not null" json:"JIT_PackOrderPlcError-SeatData"`
	Source      string        `xorm:"nvarchar(100) 'Source' not null" json:"JIT_PackOrderPlcError-Source"`
	StrCtrl1    string        `xorm:"nvarchar(100) 'StrCtrl1' null" json:"JIT_PackOrderPlcError-StrCtrl1"`
	StrCtrl2    string        `xorm:"nvarchar(100) 'StrCtrl2' null" json:"JIT_PackOrderPlcError-StrCtrl2"`
	StrCtrl3    string        `xorm:"nvarchar(100) 'StrCtrl3' null" json:"JIT_PackOrderPlcError-StrCtrl3"`
	IntCtrl1    int        `xorm:"int 'IntCtrl1' null" json:"JIT_PackOrderPlcError-IntCtrl1"`
	IntCtrl2    int        `xorm:"int 'IntCtrl2' null" json:"JIT_PackOrderPlcError-IntCtrl2"`
	IntCtrl3    int        `xorm:"int 'IntCtrl3' null" json:"JIT_PackOrderPlcError-IntCtrl3"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_PackOrderPlcError-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_PackOrderPlcError-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_PackOrderPlcError-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-10 14:47:04
 *
 ******************************************************************************/
func (self *PackOrderPlcError) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackOrderId}
}
