// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackOrderStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackOrderStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type PackOrderStatus struct {
	PlantNr           int           `xorm:"pk int 'PlantNr'" json:"JIT_PackOrderStatus-PlantNr"`
	PackOrderId       string        `xorm:"pk nvarchar(40) 'PackOrderId'" json:"JIT_PackOrderStatus-PackOrderId"`
	Status            int           `xorm:"int 'Status' not null" json:"JIT_PackOrderStatus-Status"`
	LoadStatus        int           `xorm:"int 'LoadStatus' not null" json:"JIT_PackOrderStatus-LoadStatus"`
	ShipStatus        int           `xorm:"int 'ShipStatus' not null" json:"JIT_PackOrderStatus-ShipStatus"`
	BackflushedToggle bool          `xorm:"bit 'BackflushedToggle' not null" json:"JIT_PackOrderStatus-BackflushedToggle"`
	// 校验状态
	Status1           int           `xorm:"int 'Status1' not null" json:"JIT_PackOrderStatus-Status1"`
	Status2           int           `xorm:"int 'Status2' not null" json:"JIT_PackOrderStatus-Status2"`
	LastModify        grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_PackOrderStatus-LastModify"`
	LastUser          string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_PackOrderStatus-LastUser"`
	CreateTime        grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_PackOrderStatus-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *PackOrderStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackOrderId}
}
