// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackOrderStatusHistory
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackOrderStatusHistory的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type PackOrderStatusHistory struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"JIT_PackOrderStatusHistory-PlantNr"`
	PackOrderId      string        `xorm:"pk nvarchar(40) 'PackOrderId'" json:"JIT_PackOrderStatusHistory-PackOrderId"`
	Pos              int           `xorm:"pk int 'Pos'" json:"JIT_PackOrderStatusHistory-Pos"`
	StatusChangeType string        `xorm:"nvarchar(20) 'StatusChangeType' not null" json:"JIT_PackOrderStatusHistory-StatusChangeType"`
	FromStatus       int           `xorm:"int 'FromStatus' not null" json:"JIT_PackOrderStatusHistory-FromStatus"`
	ToStatus         int           `xorm:"int 'ToStatus' not null" json:"JIT_PackOrderStatusHistory-ToStatus"`
	TriggerEvent     string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"JIT_PackOrderStatusHistory-TriggerEvent"`
	TriggerObjId     string        `xorm:"nvarchar(40) 'TriggerObjId' not null" json:"JIT_PackOrderStatusHistory-TriggerObjId"`
	ChangeTime       grmi.DateTime `xorm:"datetime 'ChangeTime' not null" json:"JIT_PackOrderStatusHistory-ChangeTime"`
	TriggerPara1     string        `xorm:"nvarchar(40) 'TriggerPara1' not null" json:"JIT_PackOrderStatusHistory-TriggerPara1"`
	TriggerPara2     string        `xorm:"nvarchar(40) 'TriggerPara2' not null" json:"JIT_PackOrderStatusHistory-TriggerPara2"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_PackOrderStatusHistory-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_PackOrderStatusHistory-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_PackOrderStatusHistory-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *PackOrderStatusHistory) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackOrderId, self.Pos}
}
