// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : PackTemplate
 *-----------------------------------------------------------------------------
 *
 * @Description              : PackTemplate的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type PackTemplate struct {
	PlantNr               int                   `xorm:"pk int 'PlantNr'" json:"JIT_PackTemplate-PlantNr"`
	PackTemplateId        string                `xorm:"pk nvarchar(40) 'PackTemplateId'" json:"JIT_PackTemplate-PackTemplateId"`
	EnabledToggle         bool                  `xorm:"bit 'EnabledToggle' not null" json:"JIT_PackTemplate-EnabledToggle"`
	Descr                 string                `xorm:"nvarchar(100) 'Descr' not null" json:"JIT_PackTemplate-Descr"`
	ProjectId             string                `xorm:"nvarchar(40) 'ProjectId' not null" json:"JIT_PackTemplate-ProjectId"`
	PackTypeId            string                `xorm:"nvarchar(40) 'PackTypeId' not null" json:"JIT_PackTemplate-PackTypeId"`
	UnfullfillableToggle  bool                  `xorm:"bit 'UnfullfillableToggle' not null" json:"JIT_PackTemplate-UnfullfillableToggle"`
	PackOrderSnrId        string                `xorm:"nvarchar(40) 'PackOrderSnrId' not null" json:"JIT_PackTemplate-PackOrderSnrId"`
	PrintQty              int                   `xorm:"int 'PrintQty' not null" json:"JIT_PackTemplate-PrintQty"`
	PlanQty               int                   `xorm:"int 'PlanQty' not null" json:"JIT_PackTemplate-PlanQty"`
	PrinterId             string                `xorm:"nvarchar(40) 'PrinterId' not null" json:"JIT_PackTemplate-PrinterId"`
	TemplateFile          string                `xorm:"nvarchar(100) 'TemplateFile' not null" json:"JIT_PackTemplate-TemplateFile"`
	SyncNr                int                   `xorm:"int 'SyncNr' not null" json:"JIT_PackTemplate-SyncNr"`
	Orientation           int                   `xorm:"int 'Orientation' not null" json:"JIT_PackTemplate-Orientation"`
	SyncFlag              string                `xorm:"nvarchar(40) 'SyncFlag' not null" json:"JIT_PackTemplate-SyncFlag"`
	BoxSnrId              string                `xorm:"nvarchar(40) 'BoxSnrId' not null" json:"JIT_PackTemplate-BoxSnrId"`
	CheckSyncKey          bool                  `xorm:"bit 'CheckSyncKey' not null" json:"JIT_PackTemplate-CheckSyncKey"`
	CtrlPara1             int                   `xorm:"int 'CtrlPara1' not null" json:"JIT_PackTemplate-CtrlPara1"`
	CtrlPara2             int                   `xorm:"int 'CtrlPara2' not null" json:"JIT_PackTemplate-CtrlPara2"`
	CtrlStr1              string                `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"JIT_PackTemplate-CtrlStr1"`
	CtrlStr2              string                `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"JIT_PackTemplate-CtrlStr2"`
	CtrlTime1             grmi.DateTime         `xorm:"datetime 'CtrlTime1' not null" json:"JIT_PackTemplate-CtrlTime1"`
	CtrlTime2             grmi.DateTime         `xorm:"datetime 'CtrlTime2' not null" json:"JIT_PackTemplate-CtrlTime2"`
	LastModify            grmi.DateTime         `xorm:"datetime 'LastModify' not null updated" json:"JIT_PackTemplate-LastModify"`
	LastUser              string                `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_PackTemplate-LastUser"`
	CreateTime            grmi.DateTime         `xorm:"datetime 'CreateTime' not null created" json:"JIT_PackTemplate-CreateTime"`
	PackTemplateItemLstLi []PackTemplateItemLst `xorm:"-" json:"JIT_PackTemplate-PackTemplateItemLstLi"`
	PartIdMap             map[string]int        `xorm:"-" json:"JIT_PackTemplate-PartIdMap"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *PackTemplate) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackTemplateId}
}

func (self *PackTemplate) Init() {

}
