// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ShipOrderStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : ShipOrderStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type ShipOrderStatus struct {
	PlantNr           int           `xorm:"pk int 'PlantNr'" json:"JIT_ShipOrderStatus-PlantNr"`
	ShipOrderId       string        `xorm:"pk nvarchar(40) 'ShipOrderId'" json:"JIT_ShipOrderStatus-ShipOrderId"`
	Status            int           `xorm:"int 'Status' not null" json:"JIT_ShipOrderStatus-Status"`
	Status1           int           `xorm:"int 'Status1' not null" json:"JIT_ShipOrderStatus-Status1"`
	Status2           int           `xorm:"int 'Status2' not null" json:"JIT_ShipOrderStatus-Status2"`
	BackFlushedToggle bool          `xorm:"bit 'BackFlushedToggle' not null" json:"JIT_ShipOrderStatus-BackFlushedToggle"`
	LastModify        grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_ShipOrderStatus-LastModify"`
	LastUser          string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_ShipOrderStatus-LastUser"`
	CreateTime        grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_ShipOrderStatus-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *ShipOrderStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ShipOrderId}
}
