// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ShipTemplate
 *-----------------------------------------------------------------------------
 *
 * @Description              : ShipTemplate的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type ShipTemplate struct {
	PlantNr               int                   `xorm:"pk int 'PlantNr'" json:"JIT_ShipTemplate-PlantNr"`
	ShipTemplateId        string                `xorm:"pk nvarchar(40) 'ShipTemplateId'" json:"JIT_ShipTemplate-ShipTemplateId"`
	EnabledToggle         bool                   `xorm:"bit 'EnabledToggle' not null" json:"JIT_ShipTemplate-EnabledToggle"`
	DefaultCreateToggle   bool                  `xorm:"bit 'DefaultCreateToggle' not null" json:"JIT_ShipTemplate-DefaultCreateToggle"`
	Descr                 string                `xorm:"nvarchar(40) 'Descr' not null" json:"JIT_ShipTemplate-Descr"`
	ProjectId             string                `xorm:"nvarchar(10) 'ProjectId' not null" json:"JIT_ShipTemplate-ProjectId"`
	ShipType              string                `xorm:"nvarchar(20) 'ShipType' not null" json:"JIT_ShipTemplate-ShipType"`
	PrintQty              int                   `xorm:"int 'PrintQty' not null" json:"JIT_ShipTemplate-PrintQty"`
	PlanQty               int                   `xorm:"int 'PlanQty' not null" json:"JIT_ShipTemplate-PlanQty"`
	Orientation           int                   `xorm:"int 'Orientation' not null" json:"JIT_ShipTemplate-Orientation"`
	PrinterId             string                `xorm:"nvarchar(40) 'PrinterId' not null" json:"JIT_ShipTemplate-PrinterId"`
	TemplateFile          string                `xorm:"nvarchar(100) 'TemplateFile' not null" json:"JIT_ShipTemplate-TemplateFile"`
	CtrlPara1             int                   `xorm:"int 'CtrlPara1' not null" json:"JIT_ShipTemplate-CtrlPara1"`
	CtrlPara2             int                   `xorm:"int 'CtrlPara2' not null" json:"JIT_ShipTemplate-CtrlPara2"`
	CtrlStr1              string                `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"JIT_ShipTemplate-CtrlStr1"`
	CtrlStr2              string                `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"JIT_ShipTemplate-CtrlStr2"`
	CtrlTime1             grmi.DateTime         `xorm:"datetime 'CtrlTime1' not null" json:"JIT_ShipTemplate-CtrlTime1"`
	CtrlTime2             grmi.DateTime         `xorm:"datetime 'CtrlTime2' not null" json:"JIT_ShipTemplate-CtrlTime2"`
	LastModify            grmi.DateTime         `xorm:"datetime 'LastModify' not null updated" json:"JIT_ShipTemplate-LastModify"`
	LastUser              string                `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_ShipTemplate-LastUser"`
	CreateTime            grmi.DateTime         `xorm:"datetime 'CreateTime' not null created" json:"JIT_ShipTemplate-CreateTime"`
	ShipTemplateItemLstLi []ShipTemplateItemLst `xorm:"-" json:"JIT_ShipTemplate-ShipTemplateItemLstLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *ShipTemplate) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ShipTemplateId}
}
