// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : CustOrderQty
 *-----------------------------------------------------------------------------
 *
 * @Description              : CustOrderQty的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-03 16:35:12
 *
 ******************************************************************************/
type CustOrderQty struct {
	PlantNr           int           `xorm:"pk int 'PlantNr'" json:"PLN_CustOrderQty-PlantNr"`
	CustOrderId       string        `xorm:"pk nvarchar(40) 'CustOrderId'" json:"PLN_CustOrderQty-CustOrderId"`
	PlanQty           int           `xorm:"int 'PlanQty' not null" json:"PLN_CustOrderQty-PlanQty"`
	SerialOrderQty    int           `xorm:"int 'SerialOrderQty'" json:"PLN_CustOrderQty-SerialOrderQty"`
	SerialOrderActQty int           `xorm:"int 'SerialOrderActQty'" json:"PLN_CustOrderQty-SerialOrderActQty"`
	ReleasedQty       int           `xorm:"int 'ReleasedQty'" json:"PLN_CustOrderQty-ReleasedQty"`
	RunningQty        int           `xorm:"int 'RunningQty'" json:"PLN_CustOrderQty-RunningQty"`
	ActQty            int           `xorm:"int 'ActQty'" json:"PLN_CustOrderQty-ActQty"`
	ActGoodQty        int           `xorm:"int 'ActGoodQty'" json:"PLN_CustOrderQty-ActGoodQty"`
	ActScrapQty       int           `xorm:"int 'ActScrapQty'" json:"PLN_CustOrderQty-ActScrapQty"`
	ActReworkQty      int           `xorm:"int 'ActReworkQty'" json:"PLN_CustOrderQty-ActReworkQty"`
	CancelQty         int           `xorm:"int 'CancelQty' not null" json:"PLN_CustOrderQty-CancelQty"`
	ActQty1           int           `xorm:"int 'ActQty1'" json:"PLN_CustOrderQty-ActQty1"`
	ActQty2           int           `xorm:"int 'ActQty2'" json:"PLN_CustOrderQty-ActQty2"`
	ActQty3           int           `xorm:"int 'ActQty3'" json:"PLN_CustOrderQty-ActQty3"`
	ActQty4           int           `xorm:"int 'ActQty4'" json:"PLN_CustOrderQty-ActQty4"`
	LastModify        grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_CustOrderQty-LastModify"`
	LastUser          string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_CustOrderQty-LastUser"`
	CreateTime        grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_CustOrderQty-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-03 16:35:12
 *
 ******************************************************************************/
func (self *CustOrderQty) GetKey() core.PK {
	return core.PK{self.PlantNr, self.CustOrderId}
}
