// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : CustOrderStatus
 *-----------------------------------------------------------------------------
 *
 * @Description              : CustOrderStatus的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
type CustOrderStatus struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"PLN_CustOrderStatus-PlantNr"`
	CustOrderId     string        `xorm:"pk nvarchar(40) 'CustOrderId'" json:"PLN_CustOrderStatus-CustOrderId"`
	Status          int           `xorm:"int 'Status' not null" json:"PLN_CustOrderStatus-Status"`
	BackFlushStatus int           `xorm:"int 'BackFlushStatus' not null" json:"PLN_CustOrderStatus-BackFlushStatus"`
	PackStatus      int           `xorm:"int 'PackStatus' not null" json:"PLN_CustOrderStatus-PackStatus"`
	ShipStatus      int           `xorm:"int 'ShipStatus' not null" json:"PLN_CustOrderStatus-ShipStatus"`
	Status1         int           `xorm:"int 'Status1' not null" json:"PLN_CustOrderStatus-Status1"`
	Status2         int           `xorm:"int 'Status2' not null" json:"PLN_CustOrderStatus-Status2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_CustOrderStatus-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_CustOrderStatus-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_CustOrderStatus-CreateTime"`
	CustOrderStatusHistoryLi []CustOrderStatusHistory `xorm:"-"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-22 13:50:40
 *
 ******************************************************************************/
func (self *CustOrderStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.CustOrderId}
}
