// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : HondaDemand
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaDemand的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
type HondaDemand struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"PLN_HondaDemand-PlantNr"`
	DemandId    string        `xorm:"pk nvarchar(40) 'DemandId'" json:"PLN_HondaDemand-DemandId"`
	PlanCode    string        `xorm:"nvarchar(40) 'PlanCode' not null" json:"PLN_HondaDemand-PlanCode"`
	DemandYear  int           `xorm:"int 'DemandYear' not null" json:"PLN_HondaDemand-DemandYear"`
	DemandWeek  int           `xorm:"int 'DemandWeek' not null" json:"PLN_HondaDemand-DemandWeek"`
	DemandDate  grmi.Date     `xorm:"date 'DemandDate' not null" json:"PLN_HondaDemand-DemandDate"`
	DemandType  string        `xorm:"nvarchar(20) 'DemandType' not null" json:"PLN_HondaDemand-DemandType"`
	Parsed      int           `xorm:"int 'Parsed' not null" json:"PLN_HondaDemand-Parsed"`
	OrderTime   grmi.DateTime `xorm:"datetime 'OrderTime' not null" json:"PLN_HondaDemand-OrderTime"`
	TotalQty    int           `xorm:"int 'TotalQty' not null" json:"PLN_HondaDemand-TotalQty"`
	EdiFile     string        `xorm:"nvarchar(100) 'EdiFile' not null" json:"PLN_HondaDemand-EdiFile"`
	EdiFileType string        `xorm:"nvarchar(20) 'EdiFileType' not null" json:"PLN_HondaDemand-EdiFileType"`
	CtrlPara1   int           `xorm:"int 'CtrlPara1' not null" json:"PLN_HondaDemand-CtrlPara1"`
	CtrlPara2   int           `xorm:"int 'CtrlPara2' not null" json:"PLN_HondaDemand-CtrlPara2"`
	CtrlStr1    string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PLN_HondaDemand-CtrlStr1"`
	CtrlStr2    string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PLN_HondaDemand-CtrlStr2"`
	CtrlTime1   grmi.DateTime `xorm:"datetime 'CtrlTime1' not null" json:"PLN_HondaDemand-CtrlTime1"`
	CtrlTime2   grmi.DateTime `xorm:"datetime 'CtrlTime2' not null" json:"PLN_HondaDemand-CtrlTime2"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_HondaDemand-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_HondaDemand-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_HondaDemand-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
func (self *HondaDemand) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DemandId}
}
