// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ReleaseTaskConfig
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReleaseTaskConfig的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-23 17:23:13
 *
 ******************************************************************************/
type ReleaseTaskConfig struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"PLN_ReleaseTaskConfig-PlantNr"`
	ConfigNr        int           `xorm:"pk int 'ConfigNr' autoincr" json:"PLN_ReleaseTaskConfig-ConfigNr"`
	LeadTime        int           `xorm:"int 'LeadTime' not null" json:"PLN_ReleaseTaskConfig-LeadTime"`
	TimeUomId       string        `xorm:"nvarchar(40) 'TimeUomId' not null" json:"PLN_ReleaseTaskConfig-TimeUomId"`
	BusinessObjType string        `xorm:"nvarchar(40) 'BusinessObjType' not null" json:"PLN_ReleaseTaskConfig-BusinessObjType"`
	BusinessObjId   string        `xorm:"nvarchar(40) 'BusinessObjId' not null" json:"PLN_ReleaseTaskConfig-BusinessObjId"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_ReleaseTaskConfig-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_ReleaseTaskConfig-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_ReleaseTaskConfig-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-23 17:23:13
 *
 ******************************************************************************/
func (self *ReleaseTaskConfig) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ConfigNr}
}
