// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ToyotaDeliveryOrder
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToyotaDeliveryOrder的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
type ToyotaDeliveryOrder struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"PLN_ToyotaDeliveryOrder-PlantNr"`
	DemandId        string        `xorm:"pk nvarchar(40) 'DemandId'" json:"PLN_ToyotaDeliveryOrder-DemandId"`
	SortNr          int           `xorm:"int 'SortNr' not null" json:"PLN_ToyotaDeliveryOrder-SortNr"`
	ProductFamilyId string        `xorm:"nvarchar(40) 'ProductFamilyId' not null" json:"PLN_ToyotaDeliveryOrder-ProductFamilyId"`
	ProjectId       string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"PLN_ToyotaDeliveryOrder-ProjectId"`
	PlcIpAddress    string        `xorm:"nvarchar(40) 'PlcIpAddress' not null" json:"PLN_ToyotaDeliveryOrder-PlcIpAddress"`
	PlcCode         string        `xorm:"nvarchar(40) 'PlcCode' not null" json:"PLN_ToyotaDeliveryOrder-PlcCode"`
	Status          int           `xorm:"int 'Status' not null" json:"PLN_ToyotaDeliveryOrder-Status"`
	CloseTime       grmi.DateTime `xorm:"datetime 'CloseTime' not null" json:"PLN_ToyotaDeliveryOrder-CloseTime"`
	CtrlPara1       int           `xorm:"int 'CtrlPara1' not null" json:"PLN_ToyotaDeliveryOrder-CtrlPara1"`
	CtrlPara2       int           `xorm:"int 'CtrlPara2' not null" json:"PLN_ToyotaDeliveryOrder-CtrlPara2"`
	CtrlStr1        string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PLN_ToyotaDeliveryOrder-CtrlStr1"`
	CtrlStr2        string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PLN_ToyotaDeliveryOrder-CtrlStr2"`
	CtrlTime1       grmi.DateTime `xorm:"datetime 'CtrlTime1' not null" json:"PLN_ToyotaDeliveryOrder-CtrlTime1"`
	CtrlTime2       grmi.DateTime `xorm:"datetime 'CtrlTime2' not null" json:"PLN_ToyotaDeliveryOrder-CtrlTime2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_ToyotaDeliveryOrder-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_ToyotaDeliveryOrder-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_ToyotaDeliveryOrder-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
func (self *ToyotaDeliveryOrder) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DemandId}
}
