// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	baseModel "LAPP_ACURA_MOM_BACKEND/models/base"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ToyotaDeliveryOrderErrorLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToyotaDeliveryOrderErrorLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-16 10:14:04
 *
 ******************************************************************************/
type ToyotaDeliveryOrderErrorLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"PLN_ToyotaDeliveryOrderErrorLst-PlantNr"`
	DemandId    string        `xorm:"pk nvarchar(40) 'DemandId'" json:"PLN_ToyotaDeliveryOrderErrorLst-DemandId"`
	Pos         int           `xorm:"pk int 'Pos'" json:"PLN_ToyotaDeliveryOrderErrorLst-Pos"`
	ErrorType   string        `xorm:"nvarchar(20) 'ErrorType' not null" json:"PLN_ToyotaDeliveryOrderErrorLst-ErrorType"`
	ErrorInfo   string        `xorm:"nvarchar(255) 'ErrorInfo' not null" json:"PLN_ToyotaDeliveryOrderErrorLst-ErrorInfo"`
	ErrorStatus string        `xorm:"nvarchar(5) 'ErrorStatus' not null" json:"PLN_ToyotaDeliveryOrderErrorLst-ErrorStatus"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_ToyotaDeliveryOrderErrorLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_ToyotaDeliveryOrderErrorLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_ToyotaDeliveryOrderErrorLst-CreateTime"`
	PLCErrorInfo baseModel.PLCErrorInfo `xorm:"-" json:"PLN_ToyotaDeliveryOrderErrorLst-PLCErrorInfo"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-16 10:14:04
 *
 ******************************************************************************/
func (self *ToyotaDeliveryOrderErrorLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DemandId, self.Pos}
}
