// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ToyotaTask
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToyotaTask的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-07-12 13:58:15
 *
 ******************************************************************************/
type ToyotaTask struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"PLN_ToyotaTask-PlantNr"`
	TaskId       string        `xorm:"pk nvarchar(40) 'TaskId'" json:"PLN_ToyotaTask-TaskId"`
	TaskName     string        `xorm:"nvarchar(255) 'TaskName' not null" json:"PLN_ToyotaTask-TaskName"`
	Status       bool          `xorm:"bit 'Status' not null" json:"PLN_ToyotaTask-Status"`
	StrCtrl1     string        `xorm:"nvarchar(100) 'StrCtrl1'" json:"PLN_ToyotaTask-StrCtrl1"`
	StrCtrl2     string        `xorm:"nvarchar(100) 'StrCtrl2'" json:"PLN_ToyotaTask-StrCtrl2"`
	IntCtrl1     int           `xorm:"int 'IntCtrl1'" json:"PLN_ToyotaTask-IntCtrl1"`
	IntCtrl2     int           `xorm:"int 'IntCtrl2'" json:"PLN_ToyotaTask-IntCtrl2"`
	FloatCtrl1   float64       `xorm:"float 'FloatCtrl1'" json:"PLN_ToyotaTask-FloatCtrl1"`
	FloatCtrl2   float64       `xorm:"float 'FloatCtrl2'" json:"PLN_ToyotaTask-FloatCtrl2"`
	LastTaskTime grmi.DateTime `xorm:"datetime 'LastTaskTime'" json:"PLN_ToyotaTask-LastTaskTime"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_ToyotaTask-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_ToyotaTask-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_ToyotaTask-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-07-12 13:58:15
 *
 ******************************************************************************/
func (self *ToyotaTask) GetKey() core.PK {
	return core.PK{self.PlantNr, self.TaskId}
}
