// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"LAPP_ACURA_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ArtCheckRuleService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtCheckRule的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-24 11:19:07
 *
 ******************************************************************************/
type ArtCheckRuleService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtCheckRule
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtCheckRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ArtCheckRule) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtCheckRule
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, int, string, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtCheckRule
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtCheckRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	SelectOne(*global.User, int, string, string, string) (*model.ArtCheckRule, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ArtCheckRule
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtCheckRule
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ArtCheckRule) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtCheckRule
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtCheckRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ArtCheckRule) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtCheckRule
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ArtCheckRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ArtCheckRule) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArtCheckRule
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ArtCheckRule, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArtCheckRule
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtCheckRule
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtCheckRule列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 11:19:07
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ArtCheckRule) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectByArt
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过物料搜索校验规则
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 物料ID
	 *
	 * @Function Parameters      : 项目id
	*
	 * @Return Value             : 校验规则列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-11-24
	 *
	 ******************************************************************************/
	SelectByArt(user *global.User, artId string, projectId string) ([]model.ArtCheckRule, error)
}

/******************************************************************************
 *
 * @Function Name            : NewArtCheckRuleService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtCheckRuleService
 *
 * @Return Value             : ArtCheckRuleService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-24 11:19:07
 *
 ******************************************************************************/
func NewArtCheckRuleService() ArtCheckRuleService {
	return implments.NewArtCheckRuleServiceImplement()
}
