// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"LAPP_ACURA_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ArtQtyAllocateService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtQtyAllocate的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-24 14:18:42
 *
 ******************************************************************************/
type ArtQtyAllocateService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtQtyAllocate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtQtyAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtQtyAllocate
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, int, string, string, string, int, string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtQtyAllocate
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtQtyAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	SelectOne(*global.User, int, string, string, string, int, string, int) (*model.ArtQtyAllocate, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ArtQtyAllocate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtQtyAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtQtyAllocate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArtQtyAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtQtyAllocate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ArtQtyAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArtQtyAllocate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ArtQtyAllocate, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArtQtyAllocate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtQtyAllocate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtQtyAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectByArt
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过物料搜索共用规则
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 物料ID
	 *
	 * @Function Parameters      : 项目id
	*
	 * @Return Value             : 校验规则列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 张鑫
	 *
	 * @Date                     : 2021-11-24
	 *
	 ******************************************************************************/
	SelectByArt(user *global.User, artId string, projectId string) ([]model.ArtQtyAllocate, error)
}

/******************************************************************************
 *
 * @Function Name            : NewArtQtyAllocateService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtQtyAllocateService
 *
 * @Return Value             : ArtQtyAllocateService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-24 14:18:42
 *
 ******************************************************************************/
func NewArtQtyAllocateService() ArtQtyAllocateService {
	return implments.NewArtQtyAllocateServiceImplement()
}
