// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"LAPP_ACURA_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ArticleAtcodLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArticleAtcodLst的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 09:34:38
 *
 ******************************************************************************/
type ArticleAtcodLstService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArticleAtcodLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArticleAtcodLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArticleAtcodLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, int, string, int, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArticleAtcodLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArticleAtcodLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, int, string, int, string) (*model.ArticleAtcodLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ArticleAtcodLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArticleAtcodLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArticleAtcodLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ArticleAtcodLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArticleAtcodLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ArticleAtcodLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ArticleAtcodLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArticleAtcodLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArticleAtcodLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-04-19 09:34:38
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ArticleAtcodLst) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAttrCodeAndValueByArtId
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过artId查询关联的属性
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : artId
	*
	 * @Return Value             : 关联的属性
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-11-23
	 *
	 ******************************************************************************/
	SelectAttrCodeAndValueByArtId(user *global.User, artId string) (interface{}, error)
}

/******************************************************************************
 *
 * @Function Name            : NewArticleAtcodLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArticleAtcodLstService
 *
 * @Return Value             : ArticleAtcodLstService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-19 09:34:38
 *
 ******************************************************************************/
func NewArticleAtcodLstService() ArticleAtcodLstService {
	return implments.NewArticleAtcodLstServiceImplement()
}
