// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"LAPP_ACURA_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
 *
 * @Interface Name           : CrossPlanTaskDetailService
 *-----------------------------------------------------------------------------
 *
 * @Description              : CrossPlanTaskDetail的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-19 17:51:14
 *
 ******************************************************************************/
type CrossPlanTaskDetailService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的CrossPlanTaskDetail
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.CrossPlanTaskDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, int, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的CrossPlanTaskDetail
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	SelectOne(*global.User, int, int) (*model.CrossPlanTaskDetail, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的CrossPlanTaskDetail
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.CrossPlanTaskDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的CrossPlanTaskDetail列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.CrossPlanTaskDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的CrossPlanTaskDetail列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.CrossPlanTaskDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.CrossPlanTaskDetail, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条CrossPlanTaskDetail
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的CrossPlanTaskDetail列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-19 17:51:14
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.CrossPlanTaskDetail) error
}

/******************************************************************************
 *
 * @Function Name            : NewCrossPlanTaskDetailService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个CrossPlanTaskDetailService
 *
 * @Return Value             : CrossPlanTaskDetailService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-19 17:51:14
 *
 ******************************************************************************/
func NewCrossPlanTaskDetailService() CrossPlanTaskDetailService {
	return implments.NewCrossPlanTaskDetailServiceImplement()
}
