// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"LAPP_ACURA_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
 *
 * @Interface Name           : CrossPlanTaskHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : CrossPlanTaskHead的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-27 14:50:41
 *
 ******************************************************************************/
type CrossPlanTaskHeadService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的CrossPlanTaskHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的CrossPlanTaskHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的CrossPlanTaskHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的CrossPlanTaskHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	SelectOne(*global.User, int) (*model.CrossPlanTaskHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的CrossPlanTaskHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的CrossPlanTaskHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的CrossPlanTaskHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.CrossPlanTaskHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询CrossPlanTaskHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.CrossPlanTaskHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询CrossPlanTaskHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条CrossPlanTaskHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的CrossPlanTaskHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-27 14:50:41
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.CrossPlanTaskHead) error
	// ReloadTask 修复跨工厂任务
	ReloadTask(user *global.User) error
}

/******************************************************************************
 *
 * @Function Name            : NewCrossPlanTaskHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个CrossPlanTaskHeadService
 *
 * @Return Value             : CrossPlanTaskHeadService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-27 14:50:41
 *
 ******************************************************************************/
func NewCrossPlanTaskHeadService() CrossPlanTaskHeadService {
	return implments.NewCrossPlanTaskHeadServiceImplement()
}
