// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"LAPP_ACURA_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
 *
 * @Interface Name           : PrintBasicRuleInfoService
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrintBasicRuleInfo的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-01 11:23:29
 *
 ******************************************************************************/
type PrintBasicRuleInfoService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的PrintBasicRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, int, int, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PrintBasicRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	SelectOne(*global.User, int, int, string, string) (*model.PrintBasicRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的PrintBasicRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的PrintBasicRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的PrintBasicRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.PrintBasicRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的PrintBasicRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.PrintBasicRuleInfo) error
}

/******************************************************************************
 *
 * @Function Name            : NewPrintBasicRuleInfoService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PrintBasicRuleInfoService
 *
 * @Return Value             : PrintBasicRuleInfoService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-01 11:23:29
 *
 ******************************************************************************/
func NewPrintBasicRuleInfoService() PrintBasicRuleInfoService {
	return implments.NewPrintBasicRuleInfoServiceImplement()
}
