// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"LAPP_ACURA_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
 *
 * @Interface Name           : SnrOccupyService
 *-----------------------------------------------------------------------------
 *
 * @Description              : SnrOccupy的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-22 11:26:46
 *
 ******************************************************************************/
type SnrOccupyService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条SnrOccupy
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的SnrOccupy
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的SnrOccupy
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SnrOccupy
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SnrOccupy
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	SelectOne(*global.User, int) (*model.SnrOccupy, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条SnrOccupy
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的SnrOccupy
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条SnrOccupy
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的SnrOccupy列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条SnrOccupy
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的SnrOccupy列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.SnrOccupy) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询SnrOccupy
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.SnrOccupy, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询SnrOccupy
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条SnrOccupy
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的SnrOccupy列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-22 11:26:46
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.SnrOccupy) error
}

/******************************************************************************
 *
 * @Function Name            : NewSnrOccupyService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SnrOccupyService
 *
 * @Return Value             : SnrOccupyService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-22 11:26:46
 *
 ******************************************************************************/
func NewSnrOccupyService() SnrOccupyService {
	return implments.NewSnrOccupyServiceImplement()
}
