// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
	"LAPP_ACURA_MOM_BACKEND/services/me/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ProductFamilyRelateService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProductFamilyRelate的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-26 14:38:54
 *
 ******************************************************************************/
type ProductFamilyRelateService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProductFamilyRelate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProductFamilyRelate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ProductFamilyRelate) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProductFamilyRelate
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProductFamilyRelate
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProductFamilyRelate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, string, string) (*model.ProductFamilyRelate, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ProductFamilyRelate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductFamilyRelate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ProductFamilyRelate) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProductFamilyRelate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProductFamilyRelate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ProductFamilyRelate) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProductFamilyRelate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ProductFamilyRelate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ProductFamilyRelate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProductFamilyRelate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ProductFamilyRelate, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProductFamilyRelate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProductFamilyRelate
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductFamilyRelate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-26 14:38:54
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ProductFamilyRelate) error
	/******************************************************************************
	 *
	 * @Function Name            : ImportFromExcel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 复制
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 文件路径
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-22
	 *
	 ******************************************************************************/
	ImportFromExcel(user *global.User, filepath string) error
}

/******************************************************************************
 *
 * @Function Name            : NewProductFamilyRelateService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProductFamilyRelateService
 *
 * @Return Value             : ProductFamilyRelateService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-26 14:38:54
 *
 ******************************************************************************/
func NewProductFamilyRelateService() ProductFamilyRelateService {
	return implments.NewProductFamilyRelateServiceImplement()
}
