// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
	"LAPP_ACURA_MOM_BACKEND/services/me/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ProductFamilyWorkLineLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProductFamilyWorkLineLst的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-11 13:56:25
 *
 ******************************************************************************/
type ProductFamilyWorkLineLstService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProductFamilyWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ProductFamilyWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProductFamilyWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, string) (*model.ProductFamilyWorkLineLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductFamilyWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ProductFamilyWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProductFamilyWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ProductFamilyWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ProductFamilyWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ProductFamilyWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ProductFamilyWorkLineLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductFamilyWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ProductFamilyWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Save
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProductFamilyWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductFamilyWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-04-11 13:56:25
	 *
	 ******************************************************************************/
	Save(user *global.User, entity *model.ProductFamilyWorkLineData) error
}

/******************************************************************************
 *
 * @Function Name            : NewProductFamilyWorkLineLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProductFamilyWorkLineLstService
 *
 * @Return Value             : ProductFamilyWorkLineLstService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-11 13:56:25
 *
 ******************************************************************************/
func NewProductFamilyWorkLineLstService() ProductFamilyWorkLineLstService {
	return implments.NewProductFamilyWorkLineLstServiceImplement()
}
