// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"LAPP_ACURA_MOM_BACKEND/services/pln/implments"
)

/******************************************************************************
 *
 * @Interface Name           : HondaCalloffService
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaCalloff的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
type HondaCalloffService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条HondaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的HondaCalloff
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.HondaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的HondaCalloff
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的HondaCalloff
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的HondaCalloff
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string) (*model.HondaCalloff, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条HondaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的HondaCalloff
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.HondaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条HondaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的HondaCalloff列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.HondaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条HondaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的HondaCalloff列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.HondaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询HondaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.HondaCalloff, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询HondaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条HondaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的HondaCalloff列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.HondaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : AnalysisDataAgain
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 重新解析
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : callOffID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	AnalysisDataAgain(user *global.User, callOffId string) (err error)
	/******************************************************************************
	 *
	 * @Function Name            : AnalysisTask
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 定时解析任务
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-11-10
	 *
	 ******************************************************************************/
	AnalysisTask()
}

/******************************************************************************
 *
 * @Function Name            : NewHondaCalloffService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个HondaCalloffService
 *
 * @Return Value             : HondaCalloffService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
func NewHondaCalloffService() HondaCalloffService {
	return implments.NewHondaCalloffServiceImplement()
}
