// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"LAPP_ACURA_MOM_BACKEND/services/pln/implments"
)

/******************************************************************************
 *
 * @Interface Name           : HondaCalloffErrorLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaCalloffErrorLst的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
type HondaCalloffErrorLstService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的HondaCalloffErrorLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.HondaCalloffErrorLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的HondaCalloffErrorLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, int) (*model.HondaCalloffErrorLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的HondaCalloffErrorLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.HondaCalloffErrorLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的HondaCalloffErrorLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.HondaCalloffErrorLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的HondaCalloffErrorLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.HondaCalloffErrorLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.HondaCalloffErrorLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条HondaCalloffErrorLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的HondaCalloffErrorLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-09 13:35:31
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.HondaCalloffErrorLst) error
	/******************************************************************************
	 *
	 * @Function Name            : RepairError
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修复错误
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : callOffId string
	 *
	 * @Function Parameters      : pos int
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-11-10
	 *
	 ******************************************************************************/
	RepairError(user *global.User, calloffId string, pos int) error
	/******************************************************************************
	 *
	 * @Function Name            : RepairAllError
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修复所有错误
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : callOffId string
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-09
	 *
	 ******************************************************************************/
	RepairAllError(user *global.User, calloffId string) error
}

/******************************************************************************
 *
 * @Function Name            : NewHondaCalloffErrorLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个HondaCalloffErrorLstService
 *
 * @Return Value             : HondaCalloffErrorLstService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
func NewHondaCalloffErrorLstService() HondaCalloffErrorLstService {
	return implments.NewHondaCalloffErrorLstServiceImplement()
}
