// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"LAPP_ACURA_MOM_BACKEND/services/pln/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ReleaseTaskConfigService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReleaseTaskConfig的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-23 17:23:13
 *
 ******************************************************************************/
type ReleaseTaskConfigService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ReleaseTaskConfig
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ReleaseTaskConfig
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ReleaseTaskConfig
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ReleaseTaskConfig
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	SelectOne(*global.User, int) (*model.ReleaseTaskConfig, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ReleaseTaskConfig
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ReleaseTaskConfig列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ReleaseTaskConfig列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ReleaseTaskConfig) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ReleaseTaskConfig
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ReleaseTaskConfig, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ReleaseTaskConfig
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ReleaseTaskConfig
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ReleaseTaskConfig列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-06-23 17:23:13
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ReleaseTaskConfig) error
	// Save 保存
	Save(user *global.User, entity *model.ReleaseTaskConfig) error
	// SelectConfig 查询配置
	SelectConfig(user *global.User, objType, objId string) (*model.ReleaseTaskConfig, error)

}

/******************************************************************************
 *
 * @Function Name            : NewReleaseTaskConfigService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ReleaseTaskConfigService
 *
 * @Return Value             : ReleaseTaskConfigService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-06-23 17:23:13
 *
 ******************************************************************************/
func NewReleaseTaskConfigService() ReleaseTaskConfigService {
	return implments.NewReleaseTaskConfigServiceImplement()
}
