// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"LAPP_ACURA_MOM_BACKEND/services/pln/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ToyotaDeliveryOrderService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToyotaDeliveryOrder的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
type ToyotaDeliveryOrderService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ToyotaDeliveryOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ToyotaDeliveryOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string) (*model.ToyotaDeliveryOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ToyotaDeliveryOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ToyotaDeliveryOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ToyotaDeliveryOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ToyotaDeliveryOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ToyotaDeliveryOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : WriteDeliveryDataToPLC
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 向PLC中写入顺引数据
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-15
	 *
	 ******************************************************************************/
	WriteDeliveryDataToPLC(*global.User)
	/******************************************************************************
	 *
	 * @Function Name            : WriteDeliveryDataToPLC
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 向PLC中写入顺引数据
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-15
	 *
	 ******************************************************************************/
	WriteDeliveryDataToPLCTask()
	/******************************************************************************
	 *
	 * @Function Name            : RepairPLCError
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修复PLC数据
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-16
	 *
	 ******************************************************************************/
	RepairDeliveryOrderError(user *global.User, errorInfoId string) (err error)
}

/******************************************************************************
 *
 * @Function Name            : NewToyotaDeliveryOrderService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ToyotaDeliveryOrderService
 *
 * @Return Value             : ToyotaDeliveryOrderService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
func NewToyotaDeliveryOrderService() ToyotaDeliveryOrderService {
	return implments.NewToyotaDeliveryOrderServiceImplement()
}
