// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	svr "LAPP_ACURA_MOM_BACKEND/services/om"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块om路由分组
	grmi.RegisterRouteMapping("/om", func(party router.Party) {

		// ProdOrder的路由组
		prodorder := party.Party("/prodorder")
		// ProdOrder的服务实例
		var serviceOfProdOrder = svr.NewProdOrderService()
		// ProdOrder插入一条
		// RegisterInsertOneProdOrder(prodorder, "/insertone", serviceOfProdOrder.InsertOne)
		// ProdOrder插入多条
		// RegisterInsertProdOrder(prodorder, "/insert", serviceOfProdOrder.Insert)
		// ProdOrder删除一条
		// RegisterDeleteOneProdOrder(prodorder, "/deleteone", serviceOfProdOrder.DeleteOne)
		// ProdOrder删除多条
		// RegisterDeleteProdOrder(prodorder, "/delete", serviceOfProdOrder.Delete)
		// ProdOrder查询多条
		RegisterSelectProdOrder(prodorder, "/query", serviceOfProdOrder.Select)
		// ProdOrder查询一条
		RegisterSelectOneProdOrder(prodorder, "/get", serviceOfProdOrder.SelectOne)
		// ProdOrder修改一条
		// RegisterUpdateOneProdOrder(prodorder, "/updateone", serviceOfProdOrder.UpdateOne)
		// ProdOrder修改多条
		// RegisterUpdateProdOrder(prodorder, "/update", serviceOfProdOrder.Update)

		// ProdOrderStatus的路由组
		prodorderstatus := party.Party("/prodorderstatus")
		// ProdOrderStatus的服务实例
		var serviceOfProdOrderStatus = svr.NewProdOrderStatusService()
		// ProdOrderStatus插入一条
		// RegisterInsertOneProdOrderStatus(prodorderstatus, "/insertone", serviceOfProdOrderStatus.InsertOne)
		// ProdOrderStatus插入多条
		// RegisterInsertProdOrderStatus(prodorderstatus, "/insert", serviceOfProdOrderStatus.Insert)
		// ProdOrderStatus删除一条
		// RegisterDeleteOneProdOrderStatus(prodorderstatus, "/deleteone", serviceOfProdOrderStatus.DeleteOne)
		// ProdOrderStatus删除多条
		// RegisterDeleteProdOrderStatus(prodorderstatus, "/delete", serviceOfProdOrderStatus.Delete)
		// ProdOrderStatus查询多条
		RegisterSelectProdOrderStatus(prodorderstatus, "/query", serviceOfProdOrderStatus.Select)
		// ProdOrderStatus查询一条
		RegisterSelectOneProdOrderStatus(prodorderstatus, "/get", serviceOfProdOrderStatus.SelectOne)
		// ProdOrderStatus修改一条
		// RegisterUpdateOneProdOrderStatus(prodorderstatus, "/updateone", serviceOfProdOrderStatus.UpdateOne)
		// ProdOrderStatus修改多条
		// RegisterUpdateProdOrderStatus(prodorderstatus, "/update", serviceOfProdOrderStatus.Update)

		// ProdOrderStatusRecLst的路由组
		prodorderstatusreclst := party.Party("/prodorderstatusreclst")
		// ProdOrderStatusRecLst的服务实例
		var serviceOfProdOrderStatusRecLst = svr.NewProdOrderStatusRecLstService()
		// ProdOrderStatusRecLst插入一条
		// RegisterInsertOneProdOrderStatusRecLst(prodorderstatusreclst, "/insertone", serviceOfProdOrderStatusRecLst.InsertOne)
		// ProdOrderStatusRecLst插入多条
		// RegisterInsertProdOrderStatusRecLst(prodorderstatusreclst, "/insert", serviceOfProdOrderStatusRecLst.Insert)
		// ProdOrderStatusRecLst删除一条
		// RegisterDeleteOneProdOrderStatusRecLst(prodorderstatusreclst, "/deleteone", serviceOfProdOrderStatusRecLst.DeleteOne)
		// ProdOrderStatusRecLst删除多条
		// RegisterDeleteProdOrderStatusRecLst(prodorderstatusreclst, "/delete", serviceOfProdOrderStatusRecLst.Delete)
		// ProdOrderStatusRecLst查询多条
		RegisterSelectProdOrderStatusRecLst(prodorderstatusreclst, "/query", serviceOfProdOrderStatusRecLst.Select)
		// ProdOrderStatusRecLst查询一条
		RegisterSelectOneProdOrderStatusRecLst(prodorderstatusreclst, "/get", serviceOfProdOrderStatusRecLst.SelectOne)
		// ProdOrderStatusRecLst修改一条
		// RegisterUpdateOneProdOrderStatusRecLst(prodorderstatusreclst, "/updateone", serviceOfProdOrderStatusRecLst.UpdateOne)
		// ProdOrderStatusRecLst修改多条
		// RegisterUpdateProdOrderStatusRecLst(prodorderstatusreclst, "/update", serviceOfProdOrderStatusRecLst.Update)

		// ProdOrderQty的路由组
		prodorderqty := party.Party("/prodorderqty")
		// ProdOrderQty的服务实例
		var serviceOfProdOrderQty = svr.NewProdOrderQtyService()
		// ProdOrderQty插入一条
		// RegisterInsertOneProdOrderQty(prodorderqty, "/insertone", serviceOfProdOrderQty.InsertOne)
		// ProdOrderQty插入多条
		// RegisterInsertProdOrderQty(prodorderqty, "/insert", serviceOfProdOrderQty.Insert)
		// ProdOrderQty删除一条
		// RegisterDeleteOneProdOrderQty(prodorderqty, "/deleteone", serviceOfProdOrderQty.DeleteOne)
		// ProdOrderQty删除多条
		// RegisterDeleteProdOrderQty(prodorderqty, "/delete", serviceOfProdOrderQty.Delete)
		// ProdOrderQty查询多条
		RegisterSelectProdOrderQty(prodorderqty, "/query", serviceOfProdOrderQty.Select)
		// ProdOrderQty查询一条
		RegisterSelectOneProdOrderQty(prodorderqty, "/get", serviceOfProdOrderQty.SelectOne)
		// ProdOrderQty修改一条
		// RegisterUpdateOneProdOrderQty(prodorderqty, "/updateone", serviceOfProdOrderQty.UpdateOne)
		// ProdOrderQty修改多条
		// RegisterUpdateProdOrderQty(prodorderqty, "/update", serviceOfProdOrderQty.Update)

		// ProdOrderQtyRecLst的路由组
		prodorderqtyreclst := party.Party("/prodorderqtyreclst")
		// ProdOrderQtyRecLst的服务实例
		var serviceOfProdOrderQtyRecLst = svr.NewProdOrderQtyRecLstService()
		// ProdOrderQtyRecLst插入一条
		// RegisterInsertOneProdOrderQtyRecLst(prodorderqtyreclst, "/insertone", serviceOfProdOrderQtyRecLst.InsertOne)
		// ProdOrderQtyRecLst插入多条
		// RegisterInsertProdOrderQtyRecLst(prodorderqtyreclst, "/insert", serviceOfProdOrderQtyRecLst.Insert)
		// ProdOrderQtyRecLst删除一条
		// RegisterDeleteOneProdOrderQtyRecLst(prodorderqtyreclst, "/deleteone", serviceOfProdOrderQtyRecLst.DeleteOne)
		// ProdOrderQtyRecLst删除多条
		// RegisterDeleteProdOrderQtyRecLst(prodorderqtyreclst, "/delete", serviceOfProdOrderQtyRecLst.Delete)
		// ProdOrderQtyRecLst查询多条
		RegisterSelectProdOrderQtyRecLst(prodorderqtyreclst, "/query", serviceOfProdOrderQtyRecLst.Select)
		// ProdOrderQtyRecLst查询一条
		RegisterSelectOneProdOrderQtyRecLst(prodorderqtyreclst, "/get", serviceOfProdOrderQtyRecLst.SelectOne)
		// ProdOrderQtyRecLst修改一条
		// RegisterUpdateOneProdOrderQtyRecLst(prodorderqtyreclst, "/updateone", serviceOfProdOrderQtyRecLst.UpdateOne)
		// ProdOrderQtyRecLst修改多条
		// RegisterUpdateProdOrderQtyRecLst(prodorderqtyreclst, "/update", serviceOfProdOrderQtyRecLst.Update)

		// DemandHead的路由组
		demandhead := party.Party("/demandhead")
		// DemandHead的服务实例
		var serviceOfDemandHead = svr.NewDemandHeadService()
		// 上传excel文件
		RegisterUploadDemandHeadExcel(demandhead, "/uploadexcel", serviceOfDemandHead.UploadExcel)
		// DemandHead插入一条
		// RegisterInsertOneDemandHead(demandhead, "/insertone", serviceOfDemandHead.InsertOne)
		// DemandHead插入多条
		// RegisterInsertDemandHead(demandhead, "/insert", serviceOfDemandHead.Insert)
		// DemandHead删除一条
		RegisterDeleteOneDemandHead(demandhead, "/deleteone", serviceOfDemandHead.DeleteOne)
		// DemandHead删除多条
		// RegisterDeleteDemandHead(demandhead, "/delete", serviceOfDemandHead.Delete)
		// DemandHead查询多条
		RegisterSelectDemandHead(demandhead, "/query", serviceOfDemandHead.Select)
		// DemandHead查询一条
		//RegisterSelectOneDemandHead(demandhead, "/get", serviceOfDemandHead.SelectOne)
		// DemandHead修改一条
		// RegisterUpdateOneDemandHead(demandhead, "/updateone", serviceOfDemandHead.UpdateOne)
		// DemandHead修改多条
		// RegisterUpdateDemandHead(demandhead, "/update", serviceOfDemandHead.Update)

		// DemandLst的路由组
		demandlst := party.Party("/demandlst")
		// DemandLst的服务实例
		var serviceOfDemandLst = svr.NewDemandLstService()
		// DemandLst插入一条
		// RegisterInsertOneDemandLst(demandlst, "/insertone", serviceOfDemandLst.InsertOne)
		// DemandLst插入多条
		// RegisterInsertDemandLst(demandlst, "/insert", serviceOfDemandLst.Insert)
		// DemandLst删除一条
		// RegisterDeleteOneDemandLst(demandlst, "/deleteone", serviceOfDemandLst.DeleteOne)
		// DemandLst删除多条
		// RegisterDeleteDemandLst(demandlst, "/delete", serviceOfDemandLst.Delete)
		// DemandLst查询多条
		RegisterSelectDemandLst(demandlst, "/query", serviceOfDemandLst.Select)
		// DemandLst查询一条
		RegisterSelectOneDemandLst(demandlst, "/get", serviceOfDemandLst.SelectOne)
		// DemandLst修改一条
		// RegisterUpdateOneDemandLst(demandlst, "/updateone", serviceOfDemandLst.UpdateOne)
		// DemandLst修改多条
		// RegisterUpdateDemandLst(demandlst, "/update", serviceOfDemandLst.Update)

		// SerialOrder的路由组
		serialorder := party.Party("/serialorder")
		// SerialOrder的服务实例
		var serviceOfSerialOrder = svr.NewSerialOrderService()
		// SerialOrder插入一条
		RegisterInsertOneSerialOrder(serialorder, "/insertone", serviceOfSerialOrder.InsertOne)
		// SerialOrder插入多条
		// RegisterInsertSerialOrder(serialorder, "/insert", serviceOfSerialOrder.Insert)
		// SerialOrder删除一条
		// RegisterDeleteOneSerialOrder(serialorder, "/deleteone", serviceOfSerialOrder.DeleteOne)
		// SerialOrder删除多条
		// RegisterDeleteSerialOrder(serialorder, "/delete", serviceOfSerialOrder.Delete)
		// SerialOrder查询多条
		RegisterSelectSerialOrder(serialorder, "/selectlist", serviceOfSerialOrder.Select)
		// SerialOrder查询多条并分页
		RegisterQuerySerialOrder(serialorder, "/query", serviceOfSerialOrder.SelectAndPaging)
		// SerialOrder查询一条
		RegisterSelectOneSerialOrder(serialorder, "/selectone", serviceOfSerialOrder.SelectOne)
		// SerialOrder修改一条
		RegisterUpdateOneSerialOrder(serialorder, "/updateone", serviceOfSerialOrder.UpdateOne)
		// SerialOrder修改多条
		// RegisterUpdateSerialOrder(serialorder, "/update", serviceOfSerialOrder.Update)
		// SerialOrder 查询排序工单页的已排序的工单
		RegisterSelectSortOrder(serialorder, "/selectsortorder", serviceOfSerialOrder.SelectSortOrder)
		// SerialOrder 查询排序工单页的未排序的工单
		RegisterSelectUnSortOrder(serialorder, "/selectunsortorder", serviceOfSerialOrder.SelectUnSortOrder)
		// SerialOrder 查询排序工单页的紧急工单
		RegisterSelectUrgencyOrder(serialorder, "/selecturgencyorder", serviceOfSerialOrder.SelectUrgencyOrder)
		// SerialOrder 将工单放到紧急工单队列中
		RegisterChangeOrderToUrgency(serialorder, "/changeordertourgency", serviceOfSerialOrder.ChangeOrderToUrgency)
		// SerialOrder 撤回已计划的内部订单
		RegisterWithdrawSerialOrder(serialorder, "/withdrawserialorder", serviceOfSerialOrder.WithdrawSerialOrder)
		// SerialOrder 取消未计划的内部订单
		RegisterCancelSerialOrder(serialorder, "/cancel", serviceOfSerialOrder.CancelSerialOrder)
		// SerialOrder 将未计划的内部订单放到计划队列中
		RegisterPutIntSerialOrderToSeq(serialorder, "/puttoseq", serviceOfSerialOrder.PutIntSerialOrderToSeq)
		// SerialOrder 修改排序队列中内部订单的调用Key
		RegisterChangeOrderSchedKey(serialorder, "/changeschedkey", serviceOfSerialOrder.ChangeOrderSchedKey)
		// SerialOrder 生成serialOrder工艺数据
		//RegisterGenerateSerialOrderCraft(serialorder, "/generatecraft", serviceOfSerialOrder.GenerateCraftData)
		// SerialOrder 派工已锁定的内部订单
		//RegisterReleaseSerialOrder(serialorder, "/release", serviceOfSerialOrder.ReleaseSerialOrder)
		// SerialOrder 查询工单操作数据
		RegisterSelectSerialOrderOperationData(serialorder, "/trace", serviceOfSerialOrder.GetSerialOrderOperationData)
		// SerialOrder 查询工单所有工步操作数据
		RegisterSelectSerialOrderOperationData(serialorder, "/traceall", serviceOfSerialOrder.GetSerialOrderOperationTraceData)
		// SerialOrder追溯po操作历史记录
		RegisterSerialOrderPOTrace(serialorder, "/potrace", serviceOfSerialOrder.GetSerialOrderOPTrace)
		// SerialOrder追溯op detail操作历史记录
		RegisterSerialOrderDetailTrace(serialorder, "/detailtrace", serviceOfSerialOrder.GetSerialOrderDetailTrace)
		// serialOrder 在工单管理页面创建多个工单
		RegisterCreateBatchSerialOrder(serialorder, "/createbatch", serviceOfSerialOrder.CreateBatchSerialOrder)
		// serialOrder 通过物料批次查询
		RegisterTraceArticleBatch(serialorder, "/tracebatch", serviceOfSerialOrder.TraceSubArticleBatch)
		// serialOrder 导出物料批次查询结果
		RegisterExportTraceArticleBatch(serialorder, "/exporttracebatch", serviceOfSerialOrder.ExportTraceSubArticleBatch)
		// serialOrder 批量取消工单
		RegisterCancelMultiSerialOrder(serialorder, "/multicancel", serviceOfSerialOrder.CancelMultiSerialOrder)
		// serialOrder 查询工单生产数据
		RegisterGetProductTraceDataReport(serialorder, "/producttrace", serviceOfSerialOrder.GetProductTraceDataReport)
		// serialOrder 骨架拆解
		RegisterBreakUp(serialorder, "/breakup", serviceOfSerialOrder.BreakUp)
		// serialOrder 座椅返厂不返修
		RegisterBreakUp(serialorder, "/returnfactorywithoutrepair", serviceOfSerialOrder.ReturnToFactoryWithoutRepair)

		// SerialOrderStatus的路由组
		serialorderstatus := party.Party("/serialorderstatus")
		// SerialOrderStatus的服务实例
		var serviceOfSerialOrderStatus = svr.NewSerialOrderStatusService()
		// SerialOrderStatus插入一条
		// RegisterInsertOneSerialOrderStatus(serialorderstatus, "/insertone", serviceOfSerialOrderStatus.InsertOne)
		// SerialOrderStatus插入多条
		// RegisterInsertSerialOrderStatus(serialorderstatus, "/insert", serviceOfSerialOrderStatus.Insert)
		// SerialOrderStatus删除一条
		// RegisterDeleteOneSerialOrderStatus(serialorderstatus, "/deleteone", serviceOfSerialOrderStatus.DeleteOne)
		// SerialOrderStatus删除多条
		// RegisterDeleteSerialOrderStatus(serialorderstatus, "/delete", serviceOfSerialOrderStatus.Delete)
		// SerialOrderStatus查询多条
		RegisterSelectSerialOrderStatus(serialorderstatus, "/query", serviceOfSerialOrderStatus.Select)
		// SerialOrderStatus查询一条
		RegisterSelectOneSerialOrderStatus(serialorderstatus, "/get", serviceOfSerialOrderStatus.SelectOne)
		// SerialOrderStatus修改一条
		// RegisterUpdateOneSerialOrderStatus(serialorderstatus, "/updateone", serviceOfSerialOrderStatus.UpdateOne)
		// SerialOrderStatus修改多条
		// RegisterUpdateSerialOrderStatus(serialorderstatus, "/update", serviceOfSerialOrderStatus.Update)

		// SerialOrderStatusRecLst的路由组
		serialorderstatusreclst := party.Party("/serialorderstatusreclst")
		// SerialOrderStatusRecLst的服务实例
		var serviceOfSerialOrderStatusRecLst = svr.NewSerialOrderStatusRecLstService()
		// SerialOrderStatusRecLst插入一条
		// RegisterInsertOneSerialOrderStatusRecLst(serialorderstatusreclst, "/insertone", serviceOfSerialOrderStatusRecLst.InsertOne)
		// SerialOrderStatusRecLst插入多条
		// RegisterInsertSerialOrderStatusRecLst(serialorderstatusreclst, "/insert", serviceOfSerialOrderStatusRecLst.Insert)
		// SerialOrderStatusRecLst删除一条
		// RegisterDeleteOneSerialOrderStatusRecLst(serialorderstatusreclst, "/deleteone", serviceOfSerialOrderStatusRecLst.DeleteOne)
		// SerialOrderStatusRecLst删除多条
		// RegisterDeleteSerialOrderStatusRecLst(serialorderstatusreclst, "/delete", serviceOfSerialOrderStatusRecLst.Delete)
		// SerialOrderStatusRecLst查询多条
		RegisterSelectSerialOrderStatusRecLst(serialorderstatusreclst, "/query", serviceOfSerialOrderStatusRecLst.Select)
		// SerialOrderStatusRecLst查询一条
		RegisterSelectOneSerialOrderStatusRecLst(serialorderstatusreclst, "/get", serviceOfSerialOrderStatusRecLst.SelectOne)
		// SerialOrderStatusRecLst修改一条
		// RegisterUpdateOneSerialOrderStatusRecLst(serialorderstatusreclst, "/updateone", serviceOfSerialOrderStatusRecLst.UpdateOne)
		// SerialOrderStatusRecLst修改多条
		// RegisterUpdateSerialOrderStatusRecLst(serialorderstatusreclst, "/update", serviceOfSerialOrderStatusRecLst.Update)

		// SerialOrderDisassemble的路由组
		serialorderdisassemble := party.Party("/serialorderdisassemble")
		// SerialOrderDisassemble的服务实例
		var serviceOfSerialOrderDisassemble = svr.NewSerialOrderDisassembleService()
		// SerialOrderDisassemble插入一条
		//RegisterInsertOneSerialOrderDisassemble(serialorderdisassemble, "/insertone", serviceOfSerialOrderDisassemble.InsertOne)
		// SerialOrderDisassemble插入多条
		// RegisterInsertSerialOrderDisassemble(serialorderdisassemble, "/insert", serviceOfSerialOrderDisassemble.Insert)
		// SerialOrderDisassemble删除一条
		//RegisterDeleteOneSerialOrderDisassemble(serialorderdisassemble, "/deleteone", serviceOfSerialOrderDisassemble.DeleteOne)
		// SerialOrderDisassemble删除多条
		// RegisterDeleteSerialOrderDisassemble(serialorderdisassemble, "/delete", serviceOfSerialOrderDisassemble.Delete)
		// SerialOrderDisassemble查询多条
		//RegisterSelectSerialOrderDisassemble(serialorderdisassemble, "/selectlist", serviceOfSerialOrderDisassemble.Select)
		// SerialOrderDisassemble查询多条并分页
		//RegisterQuerySerialOrderDisassemble(serialorderdisassemble, "/query", serviceOfSerialOrderDisassemble.SelectAndPaging)
		// SerialOrderDisassemble查询一条
		//RegisterSelectOneSerialOrderDisassemble(serialorderdisassemble, "/selectone", serviceOfSerialOrderDisassemble.SelectOne)
		// SerialOrderDisassemble修改一条
		//RegisterUpdateOneSerialOrderDisassemble(serialorderdisassemble, "/updateone", serviceOfSerialOrderDisassemble.UpdateOne)
		// SerialOrderDisassemble修改多条
		// RegisterUpdateSerialOrderDisassemble(serialorderdisassemble, "/update", serviceOfSerialOrderDisassemble.Update)
		// SerialOrderDisassemble 记录拆解
		RegisterInsertSerialOrderRecord(serialorderdisassemble, "/record", serviceOfSerialOrderDisassemble.InsertSerialOrderRecord)
		// SerialOrderDisassemble 查询拆解记录
		RegisterSelectSerialOrderRecord(serialorderdisassemble, "/select", serviceOfSerialOrderDisassemble.SelectSerialOrderRecord)

		// CustOrder的路由组
		custorder := party.Party("/custorder")
		// CustOrder的服务实例
		var serviceOfCustOrder = svr.NewCustOrderService()
		// CustOrder插入一条
		// RegisterInsertOneCustOrder(custorder, "/insertone", serviceOfCustOrder.InsertOne)
		// CustOrder插入多条
		// RegisterInsertCustOrder(custorder, "/insert", serviceOfCustOrder.Insert)
		// CustOrder删除一条
		// RegisterDeleteOneCustOrder(custorder, "/deleteone", serviceOfCustOrder.DeleteOne)
		// CustOrder删除多条
		// RegisterDeleteCustOrder(custorder, "/delete", serviceOfCustOrder.Delete)
		// CustOrder查询多条
		RegisterSelectCustOrder(custorder, "/query", serviceOfCustOrder.Select)
		// CustOrder查询一条
		RegisterSelectOneCustOrder(custorder, "/get", serviceOfCustOrder.SelectOne)
		// CustOrder修改一条
		// RegisterUpdateOneCustOrder(custorder, "/updateone", serviceOfCustOrder.UpdateOne)
		// CustOrder修改多条
		// RegisterUpdateCustOrder(custorder, "/update", serviceOfCustOrder.Update)

		// SerialOrderStepLst的路由组
		serialordersteplst := party.Party("/serialordersteplst")
		// SerialOrderStepLst的服务实例
		var serviceOfSerialOrderStepLst = svr.NewSerialOrderStepLstService()
		// SerialOrderStepLst插入一条
		// RegisterInsertOneSerialOrderStepLst(serialordersteplst, "/insertone", serviceOfSerialOrderStepLst.InsertOne)
		// SerialOrderStepLst插入多条
		// RegisterInsertSerialOrderStepLst(serialordersteplst, "/insert", serviceOfSerialOrderStepLst.Insert)
		// SerialOrderStepLst删除一条
		// RegisterDeleteOneSerialOrderStepLst(serialordersteplst, "/deleteone", serviceOfSerialOrderStepLst.DeleteOne)
		// SerialOrderStepLst删除多条
		// RegisterDeleteSerialOrderStepLst(serialordersteplst, "/delete", serviceOfSerialOrderStepLst.Delete)
		// SerialOrderStepLst查询多条
		RegisterSelectSerialOrderStepLst(serialordersteplst, "/query", serviceOfSerialOrderStepLst.Select)
		// SerialOrderStepLst查询一条
		RegisterSelectOneSerialOrderStepLst(serialordersteplst, "/get", serviceOfSerialOrderStepLst.SelectOne)
		// SerialOrderStepLst修改一条
		// RegisterUpdateOneSerialOrderStepLst(serialordersteplst, "/updateone", serviceOfSerialOrderStepLst.UpdateOne)
		// SerialOrderStepLst修改多条
		// RegisterUpdateSerialOrderStepLst(serialordersteplst, "/update", serviceOfSerialOrderStepLst.Update)

		// SerialOrderStepStatusRecLst的路由组
		serialorderstepstatusreclst := party.Party("/serialorderstepstatusreclst")
		// SerialOrderStepStatusRecLst的服务实例
		var serviceOfSerialOrderStepStatusRecLst = svr.NewSerialOrderStepStatusRecLstService()
		// SerialOrderStepStatusRecLst插入一条
		// RegisterInsertOneSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/insertone", serviceOfSerialOrderStepStatusRecLst.InsertOne)
		// SerialOrderStepStatusRecLst插入多条
		// RegisterInsertSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/insert", serviceOfSerialOrderStepStatusRecLst.Insert)
		// SerialOrderStepStatusRecLst删除一条
		// RegisterDeleteOneSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/deleteone", serviceOfSerialOrderStepStatusRecLst.DeleteOne)
		// SerialOrderStepStatusRecLst删除多条
		// RegisterDeleteSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/delete", serviceOfSerialOrderStepStatusRecLst.Delete)
		// SerialOrderStepStatusRecLst查询多条
		RegisterSelectSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/query", serviceOfSerialOrderStepStatusRecLst.Select)
		// SerialOrderStepStatusRecLst查询一条
		RegisterSelectOneSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/get", serviceOfSerialOrderStepStatusRecLst.SelectOne)
		// SerialOrderStepStatusRecLst修改一条
		// RegisterUpdateOneSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/updateone", serviceOfSerialOrderStepStatusRecLst.UpdateOne)
		// SerialOrderStepStatusRecLst修改多条
		// RegisterUpdateSerialOrderStepStatusRecLst(serialorderstepstatusreclst, "/update", serviceOfSerialOrderStepStatusRecLst.Update)

		// SerialOrderOPDetail的路由组
		serialorderopdetail := party.Party("/serialorderopdetail")
		// SerialOrderOPDetail的服务实例
		var serviceOfSerialOrderOPDetail = svr.NewSerialOrderOPDetailService()
		// SerialOrderOPDetail插入一条
		// RegisterInsertOneSerialOrderOPDetail(serialorderopdetail, "/insertone", serviceOfSerialOrderOPDetail.InsertOne)
		// SerialOrderOPDetail插入多条
		// RegisterInsertSerialOrderOPDetail(serialorderopdetail, "/insert", serviceOfSerialOrderOPDetail.Insert)
		// SerialOrderOPDetail删除一条
		// RegisterDeleteOneSerialOrderOPDetail(serialorderopdetail, "/deleteone", serviceOfSerialOrderOPDetail.DeleteOne)
		// SerialOrderOPDetail删除多条
		// RegisterDeleteSerialOrderOPDetail(serialorderopdetail, "/delete", serviceOfSerialOrderOPDetail.Delete)
		// SerialOrderOPDetail查询多条
		RegisterSelectSerialOrderOPDetail(serialorderopdetail, "/query", serviceOfSerialOrderOPDetail.Select)
		// SerialOrderOPDetail查询一条
		RegisterSelectOneSerialOrderOPDetail(serialorderopdetail, "/get", serviceOfSerialOrderOPDetail.SelectOne)
		// SerialOrderOPDetail修改一条
		// RegisterUpdateOneSerialOrderOPDetail(serialorderopdetail, "/updateone", serviceOfSerialOrderOPDetail.UpdateOne)
		// SerialOrderOPDetail修改多条
		// RegisterUpdateSerialOrderOPDetail(serialorderopdetail, "/update", serviceOfSerialOrderOPDetail.Update)

		// SerialOrderOPDetailStatusRecLst的路由组
		serialorderopdetailstatusreclst := party.Party("/serialorderopdetailstatusreclst")
		// SerialOrderOPDetailStatusRecLst的服务实例
		var serviceOfSerialOrderOPDetailStatusRecLst = svr.NewSerialOrderOPDetailStatusRecLstService()
		// SerialOrderOPDetailStatusRecLst插入一条
		// RegisterInsertOneSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/insertone", serviceOfSerialOrderOPDetailStatusRecLst.InsertOne)
		// SerialOrderOPDetailStatusRecLst插入多条
		// RegisterInsertSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/insert", serviceOfSerialOrderOPDetailStatusRecLst.Insert)
		// SerialOrderOPDetailStatusRecLst删除一条
		// RegisterDeleteOneSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/deleteone", serviceOfSerialOrderOPDetailStatusRecLst.DeleteOne)
		// SerialOrderOPDetailStatusRecLst删除多条
		// RegisterDeleteSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/delete", serviceOfSerialOrderOPDetailStatusRecLst.Delete)
		// SerialOrderOPDetailStatusRecLst查询多条
		RegisterSelectSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/query", serviceOfSerialOrderOPDetailStatusRecLst.Select)
		// SerialOrderOPDetailStatusRecLst查询一条
		RegisterSelectOneSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/get", serviceOfSerialOrderOPDetailStatusRecLst.SelectOne)
		// SerialOrderOPDetailStatusRecLst修改一条
		// RegisterUpdateOneSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/updateone", serviceOfSerialOrderOPDetailStatusRecLst.UpdateOne)
		// SerialOrderOPDetailStatusRecLst修改多条
		// RegisterUpdateSerialOrderOPDetailStatusRecLst(serialorderopdetailstatusreclst, "/update", serviceOfSerialOrderOPDetailStatusRecLst.Update)

		// SerialOrderPOLst的路由组
		serialorderpolst := party.Party("/serialorderpolst")
		// SerialOrderPOLst的服务实例
		var serviceOfSerialOrderPOLst = svr.NewSerialOrderPOLstService()
		// SerialOrderPOLst插入一条
		// RegisterInsertOneSerialOrderPOLst(serialorderpolst, "/insertone", serviceOfSerialOrderPOLst.InsertOne)
		// SerialOrderPOLst插入多条
		// RegisterInsertSerialOrderPOLst(serialorderpolst, "/insert", serviceOfSerialOrderPOLst.Insert)
		// SerialOrderPOLst删除一条
		// RegisterDeleteOneSerialOrderPOLst(serialorderpolst, "/deleteone", serviceOfSerialOrderPOLst.DeleteOne)
		// SerialOrderPOLst删除多条
		// RegisterDeleteSerialOrderPOLst(serialorderpolst, "/delete", serviceOfSerialOrderPOLst.Delete)
		// SerialOrderPOLst查询多条
		RegisterSelectSerialOrderPOLst(serialorderpolst, "/query", serviceOfSerialOrderPOLst.Select)
		// SerialOrderPOLst查询一条
		RegisterSelectOneSerialOrderPOLst(serialorderpolst, "/get", serviceOfSerialOrderPOLst.SelectOne)
		// SerialOrderPOLst修改一条
		// RegisterUpdateOneSerialOrderPOLst(serialorderpolst, "/updateone", serviceOfSerialOrderPOLst.UpdateOne)
		// SerialOrderPOLst修改多条
		// RegisterUpdateSerialOrderPOLst(serialorderpolst, "/update", serviceOfSerialOrderPOLst.Update)

		// SerialOrderPOStatusRecLst的路由组
		serialorderpostatusreclst := party.Party("/serialorderpostatusreclst")
		// SerialOrderPOStatusRecLst的服务实例
		var serviceOfSerialOrderPOStatusRecLst = svr.NewSerialOrderPOStatusRecLstService()
		// SerialOrderPOStatusRecLst插入一条
		// RegisterInsertOneSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/insertone", serviceOfSerialOrderPOStatusRecLst.InsertOne)
		// SerialOrderPOStatusRecLst插入多条
		// RegisterInsertSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/insert", serviceOfSerialOrderPOStatusRecLst.Insert)
		// SerialOrderPOStatusRecLst删除一条
		// RegisterDeleteOneSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/deleteone", serviceOfSerialOrderPOStatusRecLst.DeleteOne)
		// SerialOrderPOStatusRecLst删除多条
		// RegisterDeleteSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/delete", serviceOfSerialOrderPOStatusRecLst.Delete)
		// SerialOrderPOStatusRecLst查询多条
		RegisterSelectSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/query", serviceOfSerialOrderPOStatusRecLst.Select)
		// SerialOrderPOStatusRecLst查询一条
		RegisterSelectOneSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/get", serviceOfSerialOrderPOStatusRecLst.SelectOne)
		// SerialOrderPOStatusRecLst修改一条
		// RegisterUpdateOneSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/updateone", serviceOfSerialOrderPOStatusRecLst.UpdateOne)
		// SerialOrderPOStatusRecLst修改多条
		// RegisterUpdateSerialOrderPOStatusRecLst(serialorderpostatusreclst, "/update", serviceOfSerialOrderPOStatusRecLst.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-03-18 22:50:49
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
